GNU bug report logs - #31739
25.2; Cannot expire articles in virtual group

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jamie Forth <j.forth@HIDDEN>; Keywords: unreproducible; dated Wed, 6 Jun 2018 20:40:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 31739 <at> debbugs.gnu.org:


Received: (at 31739) by debbugs.gnu.org; 19 Oct 2019 08:09:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 19 04:09:23 2019
Received: from localhost ([127.0.0.1]:51910 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLjnf-0002Me-3j
	for submit <at> debbugs.gnu.org; Sat, 19 Oct 2019 04:09:23 -0400
Received: from quimby.gnus.org ([80.91.231.51]:46400)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iLjnc-0002MV-Ae
 for 31739 <at> debbugs.gnu.org; Sat, 19 Oct 2019 04:09:21 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iLjnY-0003Ol-CD; Sat, 19 Oct 2019 10:09:19 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jamie Forth <J.Forth@HIDDEN>
Subject: Re: bug#31739: 25.2; Cannot expire articles in virtual group
References: <877enb7pqw.fsf@HIDDEN>
 <87ftkfseb1.fsf@HIDDEN> <875zl9hg7c.fsf@HIDDEN>
 <87d0fg8xc2.fsf@HIDDEN> <87k19owob9.fsf@HIDDEN>
 <87o8yxj09d.fsf@HIDDEN> <87d0fcfjh0.fsf@HIDDEN>
 <87d0f9ckil.fsf@HIDDEN> <878spwr0l7.fsf@HIDDEN>
 <87o8yjn8bd.fsf@HIDDEN> <87bluglxj5.fsf@HIDDEN>
 <878spik8ti.fsf@HIDDEN> <877e52nqmp.fsf@HIDDEN>
Date: Sat, 19 Oct 2019 10:09:15 +0200
In-Reply-To: <877e52nqmp.fsf@HIDDEN> (Jamie Forth's message of "Fri, 18
 Oct 2019 13:13:19 +0000")
Message-ID: <87ftjpi2c4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Jamie Forth <J.Forth@HIDDEN> writes: >> So this is done
    from gnus-summary-prepare-exit-hook. What's the value >> of that hook for
    you? > > Not sure I’m doing the right thing here… setting `debug-on-entry`
    for > `gnus-summary-prepare- [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31739
Cc: "31739 <at> debbugs.gnu.org" <31739 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jamie Forth <J.Forth@HIDDEN> writes:

>> So this is done from gnus-summary-prepare-exit-hook.  What's the value
>> of that hook for you?
>
> Not sure I=E2=80=99m doing the right thing here=E2=80=A6 setting `debug-o=
n-entry` for
> `gnus-summary-prepare-exit-hook` and stepping through I see this.
>
>   Debugger entered--returning value: nil
>   #f(compiled-function (&optional now) "Expire all articles that are
> marked as expirable in the current group." (interactive nil)
> #<bytecode 0x15590511b8b9>)()
> * apply(#f(compiled-function (&optional now) "Expire all articles that
> are marked as expirable in the current group." (interactive nil)
> #<bytecode 0x15590511b8b9>) nil)
> * gnus-summary-expire-articles()
>   run-hooks(gnus-summary-prepare-exit-hook)

[...]

> Sorry if that wasn=E2=80=99t what you meant.

I just wondered what the value of the variable was.  :-)  But this shows
that you definitely have gnus-summary-expire-articles in
gnus-summary-prepare-exit-hook, so that's not the reason the articles
aren't expired.

Reading the code, gnus-summary-prepare-exit-hook is called before the
marks are cleared, so at that point the expirable list should still
exist, which makes the bug you're seeing even more incomprehensible...

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31739; Package emacs. Full text available.

Message received at 31739 <at> debbugs.gnu.org:


Received: (at 31739) by debbugs.gnu.org; 18 Oct 2019 13:13:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 18 09:13:32 2019
Received: from localhost ([127.0.0.1]:49553 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLS4S-0005dk-Af
	for submit <at> debbugs.gnu.org; Fri, 18 Oct 2019 09:13:32 -0400
Received: from mail-eopbgr50054.outbound.protection.outlook.com
 ([40.107.5.54]:43430 helo=EUR03-VE1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <J.Forth@HIDDEN>) id 1iLS4P-0005dV-3O
 for 31739 <at> debbugs.gnu.org; Fri, 18 Oct 2019 09:13:30 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=aSHhnPLofmlXmhb6o62dU0NTYHLi3iqysuHJrPsutLTClal5ULGPmr25k0qx7a9W2XbDHTsvxPDMP1hMxTtlzVp2/b//5w5+urJtfMOMtH2aPuDhwn2OJOPeS/lPpUSz4CxIf2TcvuTmm/RYOIaxXEGfids01Pvz8hCiFQxmh/UgPUvg9y8fdWMuz9Apf2e3osIzFC292COyI1CXSGF429eh+/s3vXMmRcIrbLIFtjbeuw+JiCFlDHugSgQQd2wKtfTo1kaVkHRpGFr1Jvs+YkrtFFdzQ/PV3uUuHJkf5tAwpcXSWUy6UVlmR7BaSC+tqB3y2FUECselF26JeP5P9Q==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=e9xYR70UsNUdnaTaSkt/pX0QB15Uy8whTkVklbX7k/4=;
 b=KEfPPM6ExNjEtzCeOGy6cCeumbyBo6LC1sB/htqG3wPWxtCBHJpAAyO16/zmZxzsoimG7+5JsoR2+zjElcuA97APsgHNUUoKHW296ZbbziWmNaU3/qwdc65srP8FoeYgFuyNieRefhMUBjraBefZG93PjQVZ6VrVXQgaVzW4reloJZfA/u9x3fRAeOnUu23IU7xIwQ8Svxcfw7QFplsvDNYzmYoZP1mU501KBkEpH2rUUvK1CymifkQu0KW3o+RQVbxVg1iQ/7D2tM8HtxqgwPsPmZnaqfcV6tlWFxp9Qo+yeM1SPSs+H/bRKU03Q4T/khUduoNwvWIhxKuTTrJkSA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=gold.ac.uk; dmarc=pass action=none header.from=gold.ac.uk;
 dkim=pass header.d=gold.ac.uk; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=GoldsmithsCollege.onmicrosoft.com;
 s=selector2-GoldsmithsCollege-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=e9xYR70UsNUdnaTaSkt/pX0QB15Uy8whTkVklbX7k/4=;
 b=MC/HviqMcvctC5qfGUgWUQL1wyMychlZpXOY+52vNA/gvO5d0dRm27Eer6fLslBBS8jGhvgQHugb5pQPWroYz7K7UEhPtVH3PPdMLzG2cS6wiraJDdHTdTCXS7fx91rfROAU7siNli0jC75Zovkhsx/G36/a1M5XXPv8qWjS7+k=
Received: from VI1PR04MB5727.eurprd04.prod.outlook.com (20.178.127.25) by
 VI1PR04MB4799.eurprd04.prod.outlook.com (20.177.49.84) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.2347.16; Fri, 18 Oct 2019 13:13:19 +0000
Received: from VI1PR04MB5727.eurprd04.prod.outlook.com
 ([fe80::4c1f:e57b:4eec:5f59]) by VI1PR04MB5727.eurprd04.prod.outlook.com
 ([fe80::4c1f:e57b:4eec:5f59%7]) with mapi id 15.20.2347.024; Fri, 18 Oct 2019
 13:13:19 +0000
From: Jamie Forth <J.Forth@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#31739: 25.2; Cannot expire articles in virtual group
Thread-Topic: bug#31739: 25.2; Cannot expire articles in virtual group
Thread-Index: AQHVdp7vyVzx1dFOJEi3mT2e6FHPtg==
Date: Fri, 18 Oct 2019 13:13:19 +0000
Message-ID: <877e52nqmp.fsf@HIDDEN>
References: <877enb7pqw.fsf@HIDDEN>
 <87ftkfseb1.fsf@HIDDEN> <875zl9hg7c.fsf@HIDDEN>
 <87d0fg8xc2.fsf@HIDDEN> <87k19owob9.fsf@HIDDEN>
 <87o8yxj09d.fsf@HIDDEN> <87d0fcfjh0.fsf@HIDDEN>
 <87d0f9ckil.fsf@HIDDEN> <878spwr0l7.fsf@HIDDEN>
 <87o8yjn8bd.fsf@HIDDEN> <87bluglxj5.fsf@HIDDEN>
 <878spik8ti.fsf@HIDDEN>
In-Reply-To: <878spik8ti.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 18 Oct 2019 05:54:01 +0200")
Accept-Language: en-GB, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-clientproxiedby: LO2P265CA0073.GBRP265.PROD.OUTLOOK.COM
 (2603:10a6:600:8::13) To VI1PR04MB5727.eurprd04.prod.outlook.com
 (2603:10a6:803:e4::25)
authentication-results: spf=none (sender IP is )
 smtp.mailfrom=J.Forth@HIDDEN; 
x-ms-exchange-messagesentrepresentingtype: 1
x-originating-ip: [158.223.51.110]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: ceb243d5-4843-46f0-6dba-08d753ccf1cf
x-ms-traffictypediagnostic: VI1PR04MB4799:
x-microsoft-antispam-prvs: <VI1PR04MB4799D69D8A1095FF4786E1E2C56C0@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:962;
x-forefront-prvs: 01949FE337
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10009020)(4636009)(346002)(136003)(396003)(39860400002)(376002)(366004)(23363002)(199004)(189003)(446003)(11346002)(6916009)(71200400001)(36756003)(66556008)(64756008)(66446008)(786003)(486006)(66946007)(8936002)(66476007)(71190400001)(476003)(8676002)(7736002)(305945005)(81156014)(2616005)(5660300002)(81166006)(6512007)(6116002)(26005)(3846002)(6436002)(6506007)(386003)(2906002)(316002)(186003)(14444005)(256004)(86362001)(14454004)(102836004)(6486002)(478600001)(66066001)(25786009)(52116002)(76176011)(6246003)(4326008)(229853002)(99286004);
 DIR:OUT; SFP:1101; SCL:1; SRVR:VI1PR04MB4799;
 H:VI1PR04MB5727.eurprd04.prod.outlook.com; FPR:; SPF:None; LANG:en;
 PTR:InfoNoRecords; A:1; MX:1; 
received-spf: None (protection.outlook.com: gold.ac.uk does not designate
 permitted sender hosts)
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: XExY7PaMVU/hkUZqcrdXv8+TfhmUlsW7tBkXLSkxgrHa9jN+mjBN6U+4xH0aRoHU9V7/84ypEGWZ1tjRiZ+WS372my1BqQTRoVYJ7JSUnDmeISdHIVKbQ+D2GaSSAJi5jr+VQOLcE07vEUO+SUHoAiwTfuJyHDpTdc/GQ+/6/sgP9UQRS0xQQEtlqw452XvI+PiHOJiKbP370KtU5iLZ8rSqk9oxobdHwmOzHqBTgUSePiGU6XgVcPgdUM+IrxvFudpJdwb1npNi4+AGq7+irLMx25kTsWf0qK9h+TosGCSP+2Qj/Z4eDk34uXGKC1yBgdo1lwc0gllMiptOp4hK+0Nw+xTEHGLC83hKew/Ehz6tq5+54a9KXKIF6cXGc+h2Hrd/+N7CogaYEOusbxT7ZqNuRYAFuYuKm/khv0GgZHw=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-ID: <CC1B2A16348BCF478043785E72C1B724@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: gold.ac.uk
X-MS-Exchange-CrossTenant-Network-Message-Id: ceb243d5-4843-46f0-6dba-08d753ccf1cf
X-MS-Exchange-CrossTenant-originalarrivaltime: 18 Oct 2019 13:13:19.4019 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 0d431f3f-20c1-461c-958a-46b29d4e021b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: lQ+rviJ8HeYDDL8uv/LvplqrB98HnbglbOPawONnwU9lxDotr1gCsIBarW6UGRjvWBboVKSTGoJFAgCXOTUtBmG4Hc8fAWdXsPYOhD5WCMeCzBZ8p66p679S24/5+lM2
X-MS-Exchange-Transport-CrossTenantHeadersStamped: VI1PR04MB4799
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31739
Cc: "31739 <at> debbugs.gnu.org" <31739 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)
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Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31739; Package emacs. Full text available.

Message received at 31739 <at> debbugs.gnu.org:


Received: (at 31739) by debbugs.gnu.org; 18 Oct 2019 03:54:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 23:54:10 2019
Received: from localhost ([127.0.0.1]:49144 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLJL7-0003ZV-La
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 23:54:09 -0400
Received: from [80.91.231.51] (port=43278 helo=quimby.gnus.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iLJL5-0003ZL-DZ
 for 31739 <at> debbugs.gnu.org; Thu, 17 Oct 2019 23:54:08 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iLJL0-0000T6-B5; Fri, 18 Oct 2019 05:54:06 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jamie Forth <J.Forth@HIDDEN>
Subject: Re: bug#31739: 25.2; Cannot expire articles in virtual group
References: <877enb7pqw.fsf@HIDDEN>
 <87ftkfseb1.fsf@HIDDEN> <875zl9hg7c.fsf@HIDDEN>
 <87d0fg8xc2.fsf@HIDDEN> <87k19owob9.fsf@HIDDEN>
 <87o8yxj09d.fsf@HIDDEN> <87d0fcfjh0.fsf@HIDDEN>
 <87d0f9ckil.fsf@HIDDEN> <878spwr0l7.fsf@HIDDEN>
 <87o8yjn8bd.fsf@HIDDEN> <87bluglxj5.fsf@HIDDEN>
Date: Fri, 18 Oct 2019 05:54:01 +0200
In-Reply-To: <87bluglxj5.fsf@HIDDEN> (Jamie Forth's message of "Wed, 16
 Oct 2019 11:50:23 +0000")
Message-ID: <878spik8ti.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jamie Forth <J.Forth@HIDDEN> writes: > There expire marks
 disappear where I think they are supposed to. > > ;; Make all changes in
 this group permanent. > (unless quit-config > (gnus-run-hooks
 'gnus-exit-group-hook) > (gnus-summary-updat [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Jamie Forth <J.Forth@HIDDEN> writes: > There expire marks
 disappear where I think they are supposed to. > > ;; Make all changes in
 this group permanent. > (unless quit-config > (gnus-run-hooks
 'gnus-exit-group-hook) > (gnus-summary-updat [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnus.org]
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 31739
Cc: "31739 <at> debbugs.gnu.org" <31739 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Jamie Forth <J.Forth@HIDDEN> writes:

> There expire marks disappear where I think they are supposed to.
>
>   ;; Make all changes in this group permanent.
>     (unless quit-config
>       (gnus-run-hooks 'gnus-exit-group-hook)
>       (gnus-summary-update-info))  <-- Here
>
> What I tried was:
> 1. enter vg and mark some articles `E`.
> 2. (gnus-summary-update-info)
> 3. (gnus-info-marks (gnus-get-info "nnvirtual:vg-test"))
>
> The same thing happens in a non-virtual group, except then when I
> re-enter the group the previously marked articles have been correctly
> expired.

Let's see...  Here's the call sequence I get when I `E' and then `q'
from the nnvirtual group:

Debugger entered: nil
  nnimap-request-expire-articles((392790 394237 394238) "spam" "quimby.gnus.org" nil)
  gnus-request-expire-articles((392790 394237 394238) "nnimap+quimby.gnus.org:spam")
  gnus-group-expire-articles-1("nnimap+quimby.gnus.org:spam")
  nnvirtual-request-expire-articles((392790 394237 394238 394330) "imap-test" "^$\\|\\(^nnimap\\+quimby\\.gnus\\.org:spam$\\)" nil)
  gnus-request-expire-articles((392790 394237 394238 394330) "nnvirtual:imap-test")
  gnus-summary-expire-articles()
  run-hooks(gnus-summary-prepare-exit-hook)
  apply(run-hooks gnus-summary-prepare-exit-hook)
  gnus-run-hooks(gnus-summary-prepare-exit-hook)
  gnus-summary-exit()
  funcall-interactively(gnus-summary-exit)

So this is done from gnus-summary-prepare-exit-hook.  What's the value
of that hook for you?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31739; Package emacs. Full text available.

Message received at 31739 <at> debbugs.gnu.org:


Received: (at 31739) by debbugs.gnu.org; 16 Oct 2019 11:50:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 16 07:50:35 2019
Received: from localhost ([127.0.0.1]:45340 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iKhp4-0006A0-Rg
	for submit <at> debbugs.gnu.org; Wed, 16 Oct 2019 07:50:35 -0400
Received: from mail-eopbgr60056.outbound.protection.outlook.com
 ([40.107.6.56]:52354 helo=EUR04-DB3-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <J.Forth@HIDDEN>) id 1iKhp1-00069k-RD
 for 31739 <at> debbugs.gnu.org; Wed, 16 Oct 2019 07:50:32 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=LAE+FuYM31ghVHE4drYQAeVyOmCiRoG4lTcErGH8IcMTaKULdRS/HBGo62qBkLlIIp4QFm5OW/rJoTpgDno6n8T4nmJ+ZBotzi3X5CzP32h+5w/8vq3J1SgeDl60C9NWa8X9aRwkF8F1At3dQmln3f8vkS1i84k5m/EO3Ru2eBKNRz91T5KMozx1pzaAZf4iFaCOtPDr7obhjE6lFHWecXsVSZ1qHTUKLc2kzGrSUwEZbhHIoJmcKiP5GEO6hu1cWyhzbu7TTQYxvAXZdANDUe2bg7ZigG4X1yGEc4JzEQoIyrzRwMSxUgIi+4ARPNfDR4aB3pwOflg+o5O9f69+RQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=MaKyRqcTNJWgUs/pw2HUFLtI5cZK549/Zcx1t0SJdyQ=;
 b=TO87Aus7fvzzJhLNS11Rx7XRK/dJg0OEXDVliDmeDM9H6PEeK6ZSpHji3XHxJliJgLAyupop87wjS+J9scU/odYTyHzwnoa5IxdT2khE8pYqD5FwQ7oiHvyFtpRJW7JD5f8YBLzxaBwuuHm2PX1Efkm5UDEoRwFUgb5HgluPYNNgmL11UE6RbhhzfrENTeZ4PbcQL3w5PRMXKORoy2/iFgg3dXahlLTvTFtFhcE4WDPAfzmPAHE+zQoYAEq9u+aGRT7Lw6dsdDqYboALZR67uyhbFXn5b9F1pqgdoqWQGyVhzjG1W9poqW4gjsWQJuOmeM8POUbdfs7n9qqL2SDmuA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=gold.ac.uk; dmarc=pass action=none header.from=gold.ac.uk;
 dkim=pass header.d=gold.ac.uk; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=GoldsmithsCollege.onmicrosoft.com;
 s=selector2-GoldsmithsCollege-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=MaKyRqcTNJWgUs/pw2HUFLtI5cZK549/Zcx1t0SJdyQ=;
 b=uGn+958HGpwJmHJMPPJV+fM+pHwOu9+q1S84gUnGuEheIpD3MzA72P3iKM2Ez2qo94SzgZGEeK3TYBtDWuDXWgyivTLhsVvcuoS2U+Ifc+lLLPEVAme+JHHGuDudIedHFd8hJiWNuMArseBG5cUcrC18yw7E8CID1ZDnAO8va88=
Received: from VI1PR04MB5727.eurprd04.prod.outlook.com (20.178.127.25) by
 VI1PR04MB7056.eurprd04.prod.outlook.com (10.186.158.213) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.2347.23; Wed, 16 Oct 2019 11:50:24 +0000
Received: from VI1PR04MB5727.eurprd04.prod.outlook.com
 ([fe80::4c1f:e57b:4eec:5f59]) by VI1PR04MB5727.eurprd04.prod.outlook.com
 ([fe80::4c1f:e57b:4eec:5f59%7]) with mapi id 15.20.2347.023; Wed, 16 Oct 2019
 11:50:24 +0000
From: Jamie Forth <J.Forth@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#31739: 25.2; Cannot expire articles in virtual group
Thread-Topic: bug#31739: 25.2; Cannot expire articles in virtual group
Thread-Index: AQHVdp7vyVzx1dFOJEi3mT2e6FHPtg==
Date: Wed, 16 Oct 2019 11:50:23 +0000
Message-ID: <87bluglxj5.fsf@HIDDEN>
References: <877enb7pqw.fsf@HIDDEN>
 <87ftkfseb1.fsf@HIDDEN> <875zl9hg7c.fsf@HIDDEN>
 <87d0fg8xc2.fsf@HIDDEN> <87k19owob9.fsf@HIDDEN>
 <87o8yxj09d.fsf@HIDDEN> <87d0fcfjh0.fsf@HIDDEN>
 <87d0f9ckil.fsf@HIDDEN> <878spwr0l7.fsf@HIDDEN>
 <87o8yjn8bd.fsf@HIDDEN>
In-Reply-To: <87o8yjn8bd.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 14 Oct 2019 08:35:18 +0200")
Accept-Language: en-GB, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-clientproxiedby: LO2P265CA0061.GBRP265.PROD.OUTLOOK.COM
 (2603:10a6:600:60::25) To VI1PR04MB5727.eurprd04.prod.outlook.com
 (2603:10a6:803:e4::25)
authentication-results: spf=none (sender IP is )
 smtp.mailfrom=J.Forth@HIDDEN; 
x-ms-exchange-messagesentrepresentingtype: 1
x-originating-ip: [158.223.51.110]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: eeb6ecd9-3a3c-485b-a3ad-08d7522f076b
x-ms-traffictypediagnostic: VI1PR04MB7056:
x-microsoft-antispam-prvs: <VI1PR04MB70565B167FA1AF6BE554DED9C5920@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:8273;
x-forefront-prvs: 0192E812EC
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10009020)(4636009)(366004)(346002)(396003)(376002)(39860400002)(136003)(23363002)(199004)(189003)(66946007)(66476007)(6436002)(4326008)(81166006)(81156014)(229853002)(6246003)(6916009)(2906002)(66556008)(64756008)(66446008)(6512007)(14444005)(256004)(6486002)(14454004)(71190400001)(71200400001)(2616005)(3846002)(8936002)(11346002)(25786009)(186003)(305945005)(476003)(446003)(66066001)(26005)(478600001)(52116002)(76176011)(36756003)(7736002)(102836004)(8676002)(486006)(5660300002)(386003)(786003)(6116002)(6506007)(86362001)(316002)(99286004);
 DIR:OUT; SFP:1101; SCL:1; SRVR:VI1PR04MB7056;
 H:VI1PR04MB5727.eurprd04.prod.outlook.com; FPR:; SPF:None; LANG:en;
 PTR:InfoNoRecords; A:1; MX:1; 
received-spf: None (protection.outlook.com: gold.ac.uk does not designate
 permitted sender hosts)
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: PhED/N1O7jttjHAYn02704CLjTEbPwkMCoJNbjwI/JiuM6RBxUAFd2f6cyUxAZHFUtjtXHPMINJLv+m1Wjr7PTYvqqtZ/dKtFB0TTGH97Ea9eKI4ECzMU03eGYKR1zZfVhgVTp4kVFWQ0Lp8aM46CsOf/U3lVLbkY7zb958kR3p4x96xiqu2nPIhWzC7RkE/QYNBZyqhFI/X7J1lxsqbfxrKdAsqt2wumnBShuc0QQGpUeJxhmt65g06PcDhul59zeNFPFiLPy48oJKK/yVMhgUZy2OhFwwhGJgdawLofEokBG0GAsMSWqUQcKhW8VcOKywxoI/xJF7wgwCx/z/aWYgXWgB/r2Xw0Vj9/U/PzTLK5gFUFT/IkMro/cCZrJ3RxBtK6H//uToU2mClTM8TO8qVsobmxLHcgv5Jfs8k1Nk=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-ID: <6BF415CC994A8C4895714A7E1D56F225@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: gold.ac.uk
X-MS-Exchange-CrossTenant-Network-Message-Id: eeb6ecd9-3a3c-485b-a3ad-08d7522f076b
X-MS-Exchange-CrossTenant-originalarrivaltime: 16 Oct 2019 11:50:23.9398 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 0d431f3f-20c1-461c-958a-46b29d4e021b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: LBRxiWtyBsYJt97XCRZv/aC/taSLfOEF8JfU+hkh7cShUPTIeGk6PoAWDSn1p9OIy7FhiI7q28c8qesqVBLvoEHsEVipDNRjPtbNeWDKx3ZGyVOIFUIA55PfAUlE6Cc3
X-MS-Exchange-Transport-CrossTenantHeadersStamped: VI1PR04MB7056
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31739
Cc: "31739 <at> debbugs.gnu.org" <31739 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

TGFycyBJbmdlYnJpZ3RzZW4gPGxhcnNpQGdudXMub3JnPiB3cml0ZXM6DQoNCj4gSG93IHZlcnkg
b2RkLiAgSSBoYXZlIHRoZSBzYW1lIHNldHVwLCBidXQgd2l0aCBhIHJlYWwgSU1BUCBzZXJ2ZXIs
IGFuZA0KPiBub3Qgbm5pbWFwLXNoZWxsLXByb2dyYW0sIGJ1dCB0aGF0IHNob3VsZG4ndCBtYWtl
IGEgZGlmZmVyZW5jZS4NCg0KSeKAmXZlIGp1c3QgdHJpZWQgd2l0aCBhIHJlYWwgSU1BUCBzZXJ2
ZXIgYW5kIGFuIGNvbmZpcm0gaXQgbWFrZXMgbm8NCmRpZmZlcmVuY2Ug4oCTIGV4cGlyZWQgYXJ0
aWNsZXMgaW4gdmlydHVhbCBncm91cHMgZG8gbm90IGdldCBleHBpcmVkLg0KDQo+IEkndmUgc3Rh
cmVkIGF0IHRoZSBjb2RlIHNvbWUgbW9yZSwgYnV0IEkgY2FuJ3QgZmluZCBvdXQgd2h5IHRoZQ0K
PiBleHBpcmFibGUgbWFya3MgZ28gbWlzc2luZy4NCj4NCj4gV291bGQgaXQgYmUgcG9zc2libGUg
Zm9yIHlvdSB0byBlZGVidWcgdGhyb3VnaCBwYXJ0cyBvZg0KPiBnbnVzLXN1bW1hcnktZXhpdCB0
byBzZWUgd2hlbiB0aGUgZXhwaXJhYmxlIG1hcmtzIGRpc2FwcGVhcj8NCg0KVGhlcmUgZXhwaXJl
IG1hcmtzIGRpc2FwcGVhciB3aGVyZSBJIHRoaW5rIHRoZXkgYXJlIHN1cHBvc2VkIHRvLg0KDQog
IDs7IE1ha2UgYWxsIGNoYW5nZXMgaW4gdGhpcyBncm91cCBwZXJtYW5lbnQuDQogICAgKHVubGVz
cyBxdWl0LWNvbmZpZw0KICAgICAgKGdudXMtcnVuLWhvb2tzICdnbnVzLWV4aXQtZ3JvdXAtaG9v
aykNCiAgICAgIChnbnVzLXN1bW1hcnktdXBkYXRlLWluZm8pKSAgPC0tIEhlcmUNCg0KV2hhdCBJ
IHRyaWVkIHdhczoNCjEuIGVudGVyIHZnIGFuZCBtYXJrIHNvbWUgYXJ0aWNsZXMgYEVgLg0KMi4g
KGdudXMtc3VtbWFyeS11cGRhdGUtaW5mbykNCjMuIChnbnVzLWluZm8tbWFya3MgKGdudXMtZ2V0
LWluZm8gIm5udmlydHVhbDp2Zy10ZXN0IikpDQoNClRoZSBzYW1lIHRoaW5nIGhhcHBlbnMgaW4g
YSBub24tdmlydHVhbCBncm91cCwgZXhjZXB0IHRoZW4gd2hlbiBJDQpyZS1lbnRlciB0aGUgZ3Jv
dXAgdGhlIHByZXZpb3VzbHkgbWFya2VkIGFydGljbGVzIGhhdmUgYmVlbiBjb3JyZWN0bHkNCmV4
cGlyZWQuDQoNCi0tDQpKYW1pZQ0K




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31739; Package emacs. Full text available.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 31739 <at> debbugs.gnu.org:


Received: (at 31739) by debbugs.gnu.org; 14 Oct 2019 06:35:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 14 02:35:26 2019
Received: from localhost ([127.0.0.1]:37769 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJtwz-0001LB-SS
	for submit <at> debbugs.gnu.org; Mon, 14 Oct 2019 02:35:26 -0400
Received: from [80.91.231.51] (port=50806 helo=quimby.gnus.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iJtwx-0001L0-GL
 for 31739 <at> debbugs.gnu.org; Mon, 14 Oct 2019 02:35:24 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iJtws-0002eE-GH; Mon, 14 Oct 2019 08:35:22 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jamie Forth <J.Forth@HIDDEN>
Subject: Re: bug#31739: 25.2; Cannot expire articles in virtual group
References: <877enb7pqw.fsf@HIDDEN>
 <87ftkfseb1.fsf@HIDDEN> <875zl9hg7c.fsf@HIDDEN>
 <87d0fg8xc2.fsf@HIDDEN> <87k19owob9.fsf@HIDDEN>
 <87o8yxj09d.fsf@HIDDEN> <87d0fcfjh0.fsf@HIDDEN>
 <87d0f9ckil.fsf@HIDDEN> <878spwr0l7.fsf@HIDDEN>
Date: Mon, 14 Oct 2019 08:35:18 +0200
In-Reply-To: <878spwr0l7.fsf@HIDDEN> (Jamie Forth's message of "Mon, 7 Oct
 2019 16:18:13 +0000")
Message-ID: <87o8yjn8bd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jamie Forth <J.Forth@HIDDEN> writes: > Lars Ingebrigtsen
 <larsi@HIDDEN> writes: > >> For my test group, I get: >> >> (assq 'expire
 (gnus-info-marks (gnus-get-info "nnvirtual:imap-test"))) >> => (expire 392790
 394237) >> >> You get nil [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Jamie Forth <J.Forth@HIDDEN> writes: > Lars Ingebrigtsen
 <larsi@HIDDEN> writes: > >> For my test group, I get: >> >> (assq 'expire
 (gnus-info-marks (gnus-get-info "nnvirtual:imap-test"))) >> => (expire 392790
 394237) >> >> You get nil [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 31739
Cc: "31739 <at> debbugs.gnu.org" <31739 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Jamie Forth <J.Forth@HIDDEN> writes:

> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
>> For my test group, I get:
>>
>> (assq 'expire (gnus-info-marks (gnus-get-info "nnvirtual:imap-test")))
>> => (expire 392790 394237)
>>
>> You get nil for yours?
>
> Yes unfortunately.
>
> (gnus-info-marks (gnus-get-info "nnvirtual:vgtest")
>
> => ((unexist (1 . 34) (37 . 40)) (seen (22 . 40)))
>
> As a sanity check I just tried recreating the group with `emacs -Q` and
> the following gnus config.
>
> (setq gnus-select-method '(nntp "news.gmane.org"))
>
> (add-to-list
>  'gnus-secondary-select-methods
>  '(nnimap "gold"
>           (nnimap-stream shell)
>           (nnimap-shell-program
>            "/usr/lib/dovecot/imap -c ~/.config/dovecot/gold.conf 2> /dev/null")))
>
> Then G V, then M-e with: (nnvirtual "^nnimap\\+gold:Junk Email$")
>
> Marking some articles E, but same result!

How very odd.  I have the same setup, but with a real IMAP server, and
not nnimap-shell-program, but that shouldn't make a difference.

I've stared at the code some more, but I can't find out why the
expirable marks go missing.

Would it be possible for you to edebug through parts of
gnus-summary-exit to see when the expirable marks disappear?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31739; Package emacs. Full text available.

Message received at 31739 <at> debbugs.gnu.org:


Received: (at 31739) by debbugs.gnu.org; 7 Oct 2019 16:18:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 07 12:18:23 2019
Received: from localhost ([127.0.0.1]:48982 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHViJ-0006pm-3M
	for submit <at> debbugs.gnu.org; Mon, 07 Oct 2019 12:18:23 -0400
Received: from mail-eopbgr80059.outbound.protection.outlook.com
 ([40.107.8.59]:58873 helo=EUR04-VI1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <J.Forth@HIDDEN>) id 1iHViH-0006pY-JS
 for 31739 <at> debbugs.gnu.org; Mon, 07 Oct 2019 12:18:22 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=jjaTSrg/tu3DeMVlSUbst6UGNUbIyOJ4b0wlx/S23qQG2qox9lzEGtKEwWxa6lkNzITa4zysauN6Lr4OKChkc6szRiZ9sVTE+40DezkfQHnLL+buggjmM6UunNVS8MFgadWtIIXY1Ej5cO+yh1hXv8PSOoccjsZDgHpar1+f6TifqZpRCSBOq5cFpMe/wM58sRUl3n1iZPil3fcJhuLgPI9yhiesEXvTidiYptobm1W51M1uutcBCzJ5k8dbaNG2pcazQOJBnL4yp1JpO9BdG6zRdfdwTJpaiJJ79BaiFBb2+tpEHaQcA9EqBAhmIV/XAnAHmFw0I19TgcJX3DUShA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=9XFfjQNIEy4hfx7iqZ6fDO9awlZ/WLdJGE3YYC4flH4=;
 b=ZPSlKFzrvegPHB94JUBm0+c5/HRgytKa+BOya7T1k2WEJOMfblO2RZU/ZnBLHPhxQ0QAtfcIjzwA8+G7BPfoOF/zmvZgN6KoNiMkQcomyXj6kgHHrv8v71kEqdaddMWVJgupSQ42kQNQR7IcD/pT8i9G3SjU5ajhHZXc4uwdizH+VlQ4/5HJ+/r2nhFl6CQVprZTCq4CsxSicVk1h2599UCFfs6ovKaiOkw4iJ7zW24zSG4veGoqAPqfj5VPBRn8W04tdB9COx7o3X89w7Qs3cHrMHPDDUJaJKl/Ow/vbWc8RLPzmvgPUxmDFy4lkbd8vQ3MtmmYBuJv3NcI4nFBbg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=gold.ac.uk; dmarc=pass action=none header.from=gold.ac.uk;
 dkim=pass header.d=gold.ac.uk; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=GoldsmithsCollege.onmicrosoft.com;
 s=selector2-GoldsmithsCollege-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=9XFfjQNIEy4hfx7iqZ6fDO9awlZ/WLdJGE3YYC4flH4=;
 b=IfiFaB4ZXw1qHM9V+mRn66nfbLW6UHLfXlkCrSyyJtwUGU493ySBuWqj7xyd6vx65KqFfCj+1pDVtYQ+RcYzc6SEL7e9mTblGRHMUtWZB017P5CLPIvFdkqFZEhk57xSSJsbgJ9ttft77SGW43eJY7G3DqEAYlclGVT3tt8Xbfs=
Received: from VI1PR04MB5727.eurprd04.prod.outlook.com (20.178.127.25) by
 VI1PR04MB5117.eurprd04.prod.outlook.com (20.177.50.154) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.2327.24; Mon, 7 Oct 2019 16:18:14 +0000
Received: from VI1PR04MB5727.eurprd04.prod.outlook.com
 ([fe80::4c1f:e57b:4eec:5f59]) by VI1PR04MB5727.eurprd04.prod.outlook.com
 ([fe80::4c1f:e57b:4eec:5f59%7]) with mapi id 15.20.2327.025; Mon, 7 Oct 2019
 16:18:14 +0000
From: Jamie Forth <J.Forth@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#31739: 25.2; Cannot expire articles in virtual group
Thread-Topic: bug#31739: 25.2; Cannot expire articles in virtual group
Thread-Index: AQHVdp7vyVzx1dFOJEi3mT2e6FHPtg==
Date: Mon, 7 Oct 2019 16:18:13 +0000
Message-ID: <878spwr0l7.fsf@HIDDEN>
References: <877enb7pqw.fsf@HIDDEN>
 <87ftkfseb1.fsf@HIDDEN> <875zl9hg7c.fsf@HIDDEN>
 <87d0fg8xc2.fsf@HIDDEN> <87k19owob9.fsf@HIDDEN>
 <87o8yxj09d.fsf@HIDDEN> <87d0fcfjh0.fsf@HIDDEN>
 <87d0f9ckil.fsf@HIDDEN>
Accept-Language: en-GB, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-clientproxiedby: LO2P265CA0317.GBRP265.PROD.OUTLOOK.COM
 (2603:10a6:600:a4::17) To VI1PR04MB5727.eurprd04.prod.outlook.com
 (2603:10a6:803:e4::25)
authentication-results: spf=none (sender IP is )
 smtp.mailfrom=J.Forth@HIDDEN; 
x-ms-exchange-messagesentrepresentingtype: 1
x-originating-ip: [158.223.51.110]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 130896b2-77a8-46b1-b664-08d74b41f40f
x-ms-traffictypediagnostic: VI1PR04MB5117:
x-microsoft-antispam-prvs: <VI1PR04MB51170200BDAA4E2932750FA2C59B0@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:7691;
x-forefront-prvs: 01834E39B7
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10009020)(4636009)(366004)(136003)(39860400002)(346002)(376002)(396003)(23363002)(189003)(199004)(6116002)(76176011)(7736002)(305945005)(52116002)(3846002)(36756003)(26005)(99286004)(66066001)(86362001)(8936002)(8676002)(81156014)(81166006)(102836004)(186003)(386003)(6506007)(5660300002)(486006)(6916009)(4744005)(2906002)(446003)(2616005)(476003)(66946007)(14444005)(256004)(6246003)(478600001)(229853002)(14454004)(25786009)(6512007)(6486002)(4326008)(6436002)(71190400001)(66476007)(66556008)(64756008)(66446008)(71200400001)(316002)(786003);
 DIR:OUT; SFP:1101; SCL:1; SRVR:VI1PR04MB5117;
 H:VI1PR04MB5727.eurprd04.prod.outlook.com; FPR:; SPF:None; LANG:en;
 PTR:InfoNoRecords; MX:1; A:1; 
received-spf: None (protection.outlook.com: gold.ac.uk does not designate
 permitted sender hosts)
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: tbG3dptIa7pr50pLuA0iLR/1A8JoM+7/JHZVHowAfXd7+A2Czspl6wiNttDoU3Nhvn+KSDyiBEmwibuo+lAS7YTQ2bXCKqEggY99w0lsZU30EdNV9VPK2pyk69SbxjeQYdKNvdp8iT/PsqXS9jbgBIZ7FJnDg1UkXedSG8n8SVRTZ5dBIsiXjpRheH7Pp2ZkYUQ6hfqNy1L8jsBrDPwYHBYvvJYrPhU85jjn83Ncw57GUqA7PyZSfwGOysWfeeeWWCh5lEFnQKuqEwBtVhMc5tOaVNJbRLF2hTx9sMFxhCSe4yZOZxv2tXvbQtdA7Sbj72Bl1ERWGCb4EPDW9QgmzgFmrt4Uk59OjshVGXa0KtF0tN0vqpyIYPQwdEWgt5vqc6hGc6KoJ2SKSrCvck+AlXabCP6Nd5I++EUsIiaGouc=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: gold.ac.uk
X-MS-Exchange-CrossTenant-Network-Message-Id: 130896b2-77a8-46b1-b664-08d74b41f40f
X-MS-Exchange-CrossTenant-originalarrivaltime: 07 Oct 2019 16:18:13.9370 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 0d431f3f-20c1-461c-958a-46b29d4e021b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: dk9h7j25DFOg0KI+jorwB9de2tnLM0K0IY7kATi4sWY+oG6vvCih73Vf35YoQzvc57WrdVMHFFPdpg3Bs86hpMZi+QeZ2llcg3t2aovSO5Gtlb4YX7HXv4pTHdTvU8Od
X-MS-Exchange-Transport-CrossTenantHeadersStamped: VI1PR04MB5117
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31739
Cc: "31739 <at> debbugs.gnu.org" <31739 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> For my test group, I get:
>
> (assq 'expire (gnus-info-marks (gnus-get-info "nnvirtual:imap-test")))
> =3D> (expire 392790 394237)
>
> You get nil for yours?

Yes unfortunately.

(gnus-info-marks (gnus-get-info "nnvirtual:vgtest")

=3D> ((unexist (1 . 34) (37 . 40)) (seen (22 . 40)))

As a sanity check I just tried recreating the group with `emacs -Q` and
the following gnus config.

(setq gnus-select-method '(nntp "news.gmane.org"))

(add-to-list
 'gnus-secondary-select-methods
 '(nnimap "gold"
          (nnimap-stream shell)
          (nnimap-shell-program
           "/usr/lib/dovecot/imap -c ~/.config/dovecot/gold.conf 2> /dev/nu=
ll")))

Then G V, then M-e with: (nnvirtual "^nnimap\\+gold:Junk Email$")

Marking some articles E, but same result!

> I've looked through the code for something special being done with the
> expirable marks, and I can't find anything that's nixing out those in
> particular.  But I may be looking in the wrong parts of the code...

Thanks for looking!

--
Jamie




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31739; Package emacs. Full text available.

Message received at 31739 <at> debbugs.gnu.org:


Received: (at 31739) by debbugs.gnu.org; 7 Oct 2019 03:17:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 06 23:17:20 2019
Received: from localhost ([127.0.0.1]:47089 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHJWS-0000eF-IL
	for submit <at> debbugs.gnu.org; Sun, 06 Oct 2019 23:17:20 -0400
Received: from quimby.gnus.org ([80.91.231.51]:54482)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iHJW3-0000dN-8W
 for 31739 <at> debbugs.gnu.org; Sun, 06 Oct 2019 23:17:18 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iHJVz-0004xa-28; Mon, 07 Oct 2019 05:16:53 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jamie Forth <J.Forth@HIDDEN>
Subject: Re: bug#31739: 25.2; Cannot expire articles in virtual group
References: <877enb7pqw.fsf@HIDDEN>
 <87ftkfseb1.fsf@HIDDEN> <875zl9hg7c.fsf@HIDDEN>
 <87d0fg8xc2.fsf@HIDDEN> <87k19owob9.fsf@HIDDEN>
 <87o8yxj09d.fsf@HIDDEN> <87d0fcfjh0.fsf@HIDDEN>
Date: Mon, 07 Oct 2019 05:16:50 +0200
In-Reply-To: <87d0fcfjh0.fsf@HIDDEN> (Jamie Forth's message of "Fri, 4 Oct
 2019 18:34:20 +0000")
Message-ID: <87d0f9ckil.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jamie Forth <J.Forth@HIDDEN> writes: > Stepping through
 gnus-group-expire-articles-1, > expirable is nil. > > The value returned
 from (gnus-info-marks info) is: > > ((seen (22 . 40)) (unexist (1 . 34)))
 > > So the expirable marks are get [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31739
Cc: "31739 <at> debbugs.gnu.org" <31739 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jamie Forth <J.Forth@HIDDEN> writes:

> Stepping through gnus-group-expire-articles-1, 
> expirable is nil.
>
> The value returned from (gnus-info-marks info) is:
>
>   ((seen (22 . 40)) (unexist (1 . 34)))
>
> So the expirable marks are getting dropped somehow?

Sounds like it.

For my test group, I get:

(assq 'expire (gnus-info-marks (gnus-get-info "nnvirtual:imap-test")))
=> (expire 392790 394237)

You get nil for yours?

I've looked through the code for something special being done with the
expirable marks, and I can't find anything that's nixing out those in
particular.  But I may be looking in the wrong parts of the code...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31739; Package emacs. Full text available.

Message received at 31739 <at> debbugs.gnu.org:


Received: (at 31739) by debbugs.gnu.org; 4 Oct 2019 18:34:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 04 14:34:31 2019
Received: from localhost ([127.0.0.1]:43456 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGSPO-0007HD-KS
	for submit <at> debbugs.gnu.org; Fri, 04 Oct 2019 14:34:31 -0400
Received: from mail-eopbgr40079.outbound.protection.outlook.com
 ([40.107.4.79]:13572 helo=EUR03-DB5-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <J.Forth@HIDDEN>) id 1iGSPM-0007Gz-63
 for 31739 <at> debbugs.gnu.org; Fri, 04 Oct 2019 14:34:29 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=PwlLtOxYettJxduhJv3aUNqip7UgsxLQyEfgimxaB+wfl9K/GHjkXq9ZQ9NgWjGYo/IyPIx83Zhg/aDel5ROdwZ8ZhAWIagI/t1Dh8gIj7W2gkS4RvkcRZHd0624ErM/ymS3eRm58RWkaiGqdYRg9gNIg/Kj2Ra7cvA99XnmgrgoFpEMgjj3iKaPBXgX/RHbKnbzn079rgxphUQ1G7/MM3ySYp2toZlqLp9f+p50JxBjDebUTfXnkLGXwcWKwYK+Hv/MM4EPrOil9UNQiUUBccqfVtccj9H3Muqu0gfYf5td30BxfNWlP3a94JIECagfJXk+eXdpzRBnljndb4Pb1g==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=bjLN1RQdcECVpnIF3Hf154hdaPW5LbevXub/gmGe/wg=;
 b=BDAS6HcDUQj6CdENgdrJcyg3cuhHdWs/QWn44VXQYy7zQqThb52BzUKcS0BiSxR6tVZ1YlDmvDuJlHXftmViBXmNmPsoEdwxCJd5+g7z7n0sHVfCzueLA0NPBhKPRhAyHaF8O/sY35RztZv2I2hHqDML/uCvXR7YXiaYZndcroz/ir4+d4Lnjc74nUG86qBoRLHle3dcjIMFAhyCC/jZHMJgJlPkmA3YyHY6f9umfrA7OzMbJxwWL2a+gyG3yQ5oBcQNYYpjLjMhEJqZ/zhcTTcJtwTiVwRsFBApxBoxyCe3/T7VhLGm8Msbn1ySwHBQdfWBfo7xle2PqWybKyi+yQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=gold.ac.uk; dmarc=pass action=none header.from=gold.ac.uk;
 dkim=pass header.d=gold.ac.uk; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=GoldsmithsCollege.onmicrosoft.com;
 s=selector2-GoldsmithsCollege-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=bjLN1RQdcECVpnIF3Hf154hdaPW5LbevXub/gmGe/wg=;
 b=RioqdvL/4ElZF7+DfGW5vERFK5AKjnq718H0hcIveI5GcbYgvcmL/nori8PvCLfb7CKuLCsd5p1bfy8ZcCh/Ycqn3KfIVB6L4al3ekA0H9D7E6mt5Znm/+JonkRzkT9H0GPSL3H9CV/6LzwAjskqEUDsd8pZfkFxZ1T9+Wq5818=
Received: from VI1PR04MB5727.eurprd04.prod.outlook.com (20.178.127.25) by
 VI1PR04MB3197.eurprd04.prod.outlook.com (10.170.229.140) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.2327.23; Fri, 4 Oct 2019 18:34:20 +0000
Received: from VI1PR04MB5727.eurprd04.prod.outlook.com
 ([fe80::4c1f:e57b:4eec:5f59]) by VI1PR04MB5727.eurprd04.prod.outlook.com
 ([fe80::4c1f:e57b:4eec:5f59%7]) with mapi id 15.20.2305.023; Fri, 4 Oct 2019
 18:34:20 +0000
From: Jamie Forth <J.Forth@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#31739: 25.2; Cannot expire articles in virtual group
Thread-Topic: bug#31739: 25.2; Cannot expire articles in virtual group
Thread-Index: AQHVdp7vyVzx1dFOJEi3mT2e6FHPtg==
Date: Fri, 4 Oct 2019 18:34:20 +0000
Message-ID: <87d0fcfjh0.fsf@HIDDEN>
References: <877enb7pqw.fsf@HIDDEN>
 <87ftkfseb1.fsf@HIDDEN> <875zl9hg7c.fsf@HIDDEN>
 <87d0fg8xc2.fsf@HIDDEN> <87k19owob9.fsf@HIDDEN>
 <87o8yxj09d.fsf@HIDDEN>
In-Reply-To: <87o8yxj09d.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 03 Oct 2019 17:51:10 +0200")
Accept-Language: en-GB, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-clientproxiedby: LO2P265CA0216.GBRP265.PROD.OUTLOOK.COM
 (2603:10a6:600:9e::36) To VI1PR04MB5727.eurprd04.prod.outlook.com
 (2603:10a6:803:e4::25)
authentication-results: spf=none (sender IP is )
 smtp.mailfrom=J.Forth@HIDDEN; 
x-ms-exchange-messagesentrepresentingtype: 1
x-originating-ip: [158.223.51.110]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: ff686cb0-58c7-4507-4734-08d748f97893
x-ms-traffictypediagnostic: VI1PR04MB3197:
x-microsoft-antispam-prvs: <VI1PR04MB31979934E8AD926837E31ADCC59E0@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:7691;
x-forefront-prvs: 018093A9B5
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10009020)(4636009)(346002)(366004)(376002)(136003)(396003)(39860400002)(23363002)(189003)(199004)(52116002)(6916009)(478600001)(8676002)(25786009)(14454004)(81166006)(81156014)(99286004)(8936002)(5660300002)(7736002)(316002)(786003)(76176011)(4744005)(305945005)(6486002)(6436002)(11346002)(66946007)(64756008)(66476007)(66556008)(66446008)(446003)(486006)(476003)(14444005)(229853002)(26005)(86362001)(186003)(2616005)(386003)(6506007)(36756003)(256004)(4326008)(6246003)(71190400001)(71200400001)(102836004)(6116002)(66066001)(6512007)(3846002)(2906002);
 DIR:OUT; SFP:1101; SCL:1; SRVR:VI1PR04MB3197;
 H:VI1PR04MB5727.eurprd04.prod.outlook.com; FPR:; SPF:None; LANG:en;
 PTR:InfoNoRecords; MX:1; A:1; 
received-spf: None (protection.outlook.com: gold.ac.uk does not designate
 permitted sender hosts)
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: /ekV431lhaDJy5l+UrkSlxMD1Isp0FarTuZGdbcnK97x1QZSNbKxavGig+OyqEFOd9h1E6ktfYUaMKqVfwyRcTwVY6Gy7aE0JcduezCWAJf91QhX9QqhY54zmIBfe+bIIO2/F51Tz03DlbIrT1/PVEY8Xc39xzFRj6uRT3I/91lXg9mNdSxahRb/69ge5bJUfmQW0j0JhBqEtU6hkxbMIIBixWNm2SR1IGVilbVkAiGSJUKh+tjXzJfwCDVGTGSHNOmRgxhsHy6UyM2aZ4bDkrOhJFk1z/hXXaq3kl3WvoBakrveONCKDKkUb1WBOLbtGQ+f6aUq7/RZVnjiWJxwDBXDLSXSWXpzn5caFDtm8c5wNxSHYf0Fid83cXFxaaE4onWxSa+Nl0jJxRejz0JF1ZN44qjuDVI4hqAjcUYkiZs=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: gold.ac.uk
X-MS-Exchange-CrossTenant-Network-Message-Id: ff686cb0-58c7-4507-4734-08d748f97893
X-MS-Exchange-CrossTenant-originalarrivaltime: 04 Oct 2019 18:34:20.5247 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 0d431f3f-20c1-461c-958a-46b29d4e021b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: Zqxu521GT46yGqA4o9wjIYL5MOmsMzSlHqD7tid1pWAXMz1UUbm0LddStzEVMw0824rer3+2NVYxRWzDDzbFm1kAGhF0gh4wJ4wfzD0jtzm/ImVN7EH7gmfoq78fm1cH
X-MS-Exchange-Transport-CrossTenantHeadersStamped: VI1PR04MB3197
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31739
Cc: "31739 <at> debbugs.gnu.org" <31739 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> It does seem like the nnimap expiration function isn't being called at
> all, somehow.
>
> Would it be possible for you do open nnvirtual.el and `M-x edebug-defun'
> on `nnvirtual-request-expire-articles' and then step through the
> function when exiting from the nnvirtual group (with some articles
> marked as expirable)?
>
> What's interesting here is whether the
>
>   (gnus-group-expire-articles-1 group)
>
> form is being executed for the nnimap group. =20

gnus-group-expire-articles-1 is being called.

Stepping through gnus-group-expire-articles-1,=20
expirable is nil.

The value returned from (gnus-info-marks info) is:

  ((seen (22 . 40)) (unexist (1 . 34)))

So the expirable marks are getting dropped somehow?

--
Jamie




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31739; Package emacs. Full text available.

Message received at 31739 <at> debbugs.gnu.org:


Received: (at 31739) by debbugs.gnu.org; 3 Oct 2019 15:51:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 03 11:51:19 2019
Received: from localhost ([127.0.0.1]:40842 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iG3Nu-0005iW-QC
	for submit <at> debbugs.gnu.org; Thu, 03 Oct 2019 11:51:19 -0400
Received: from quimby.gnus.org ([80.91.231.51]:50612)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iG3Ns-0005iL-6G
 for 31739 <at> debbugs.gnu.org; Thu, 03 Oct 2019 11:51:17 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iG3Nm-0000qj-Qz; Thu, 03 Oct 2019 17:51:14 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jamie Forth <J.Forth@HIDDEN>
Subject: Re: bug#31739: 25.2; Cannot expire articles in virtual group
References: <877enb7pqw.fsf@HIDDEN>
 <87ftkfseb1.fsf@HIDDEN> <875zl9hg7c.fsf@HIDDEN>
 <87d0fg8xc2.fsf@HIDDEN> <87k19owob9.fsf@HIDDEN>
Date: Thu, 03 Oct 2019 17:51:10 +0200
In-Reply-To: <87k19owob9.fsf@HIDDEN> (Jamie Forth's message of "Tue, 1 Oct
 2019 14:08:44 +0000")
Message-ID: <87o8yxj09d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jamie Forth <J.Forth@HIDDEN> writes: > Setting
 nnmail-expiry-target
 back to the default I now see: > > 14:55:11 [gold] 188 SELECT "Junk Email"
 > 14:55:11 [gold] 189 UID STORE 25 +FLAGS.SILENT (\Deleted) > 14:55:11 [gold]
 190 UID EXPUNGE [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31739
Cc: "31739 <at> debbugs.gnu.org" <31739 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jamie Forth <J.Forth@HIDDEN> writes:

> Setting nnmail-expiry-target back to the default I now see:
>
> 14:55:11 [gold] 188 SELECT "Junk Email"
> 14:55:11 [gold] 189 UID STORE 25 +FLAGS.SILENT (\Deleted)
> 14:55:11 [gold] 190 UID EXPUNGE 25
> 14:55:11 [gold] 191 SELECT "Junk Email"
> 14:55:11 [gold] 192 UID STORE 25 +FLAGS.SILENT (\Seen)
>
> But no difference when expiring within the virtual group.
>
> 14:55:57 [gold] 196 SELECT "Junk Email"
> 14:55:57 [gold] 197 UID STORE 22 +FLAGS.SILENT (\Seen)

It does seem like the nnimap expiration function isn't being called at
all, somehow.

Would it be possible for you do open nnvirtual.el and `M-x edebug-defun'
on `nnvirtual-request-expire-articles' and then step through the
function when exiting from the nnvirtual group (with some articles
marked as expirable)?

What's interesting here is whether the

  (gnus-group-expire-articles-1 group)

form is being executed for the nnimap group.  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31739; Package emacs. Full text available.

Message received at 31739 <at> debbugs.gnu.org:


Received: (at 31739) by debbugs.gnu.org; 1 Oct 2019 14:08:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 10:08:57 2019
Received: from localhost ([127.0.0.1]:34232 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFIpl-0006SF-Ha
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 10:08:57 -0400
Received: from mail-eopbgr50063.outbound.protection.outlook.com
 ([40.107.5.63]:40879 helo=EUR03-VE1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <J.Forth@HIDDEN>) id 1iFIpg-0006Rw-44
 for 31739 <at> debbugs.gnu.org; Tue, 01 Oct 2019 10:08:55 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=CK4DY+CWRxot78XYJWmBSQvmilGCLQ7lb4cB/p7plUuq+Rl5l9gtqaZSn8h/a6QNZdawvOPrD8tcFlpROWKV4n1H+7T4lIy7yPXv6Ardo7d4VOEW8LVMlTHx6ks16dHZno0BFbC9ho2wF7jMMwZvetJtZgkpwKx6O2raU8UDo5bqrgqbEtTHCHvtjsoxZrmlA669354iYUG9/1n5rdrKrYGg2EPE6uzZciCeK8ggdSqU7BxH1pwlDp1bLt/r/iZLl/cPzWs1D8OV+7LCf6ysyaFcUtpIe5a+XtmjOc5W3AEX0Sx18j6iODlkg0W58p2ahrO6BvdM91UGt9jLHgwqbw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=2z6LIwbiNYuDPJM5JVNfdZrLVUafK4ynEqoowcDrWvo=;
 b=N+0eUTnuHyaGu6967zUBuYHULy6FB8cqu8GmMX7wHA4Y4nv2BpBfJSzhfKS2MLKIAJKfszpZpjFBtiEsCaoOqjOV+RVdHY4TxUxC0Ng+Wv3nJFIuPVCc62ZglmSMceQI1lcr4Nkm+yeVQa5Hu9lMYjHKHqopr1td09sGIUHFRbMJUDsihCELo279bT1RXXVojxR8pE9rUUjKpFAqw1OpyHme+N9Ae/LypeY0j89O0cKt7efO/lYxvXS220Hg86Ld0ABCiI/prz12OaFossPKvfDs+WdE/Pqc2SfydWAbs4IyUsMqcnOGAy90wZzD1cpUinlch5psMkfVTjHJcDE+rQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=gold.ac.uk; dmarc=pass action=none header.from=gold.ac.uk;
 dkim=pass header.d=gold.ac.uk; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=GoldsmithsCollege.onmicrosoft.com;
 s=selector2-GoldsmithsCollege-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=2z6LIwbiNYuDPJM5JVNfdZrLVUafK4ynEqoowcDrWvo=;
 b=BeyKlhF/8E5vKVZSlM5FbN8EtrXZ38hTuTOSh2IhUId+vRrvUBxmetH9JmW3tbkbTPkQYQck70sLGr7eRComeuA9cr7XFCdGtS6T5EOZI4BlqnTEgp+AvDGkRLCvIY8acCJkaQzXPjwZ3lt+0bp0hWzPNury6XEcU/JFhN3T6Ak=
Received: from VI1PR04MB5727.eurprd04.prod.outlook.com (20.178.127.25) by
 VI1PR04MB3088.eurprd04.prod.outlook.com (10.170.229.10) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.2305.20; Tue, 1 Oct 2019 14:08:44 +0000
Received: from VI1PR04MB5727.eurprd04.prod.outlook.com
 ([fe80::4c1f:e57b:4eec:5f59]) by VI1PR04MB5727.eurprd04.prod.outlook.com
 ([fe80::4c1f:e57b:4eec:5f59%7]) with mapi id 15.20.2305.022; Tue, 1 Oct 2019
 14:08:44 +0000
From: Jamie Forth <J.Forth@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#31739: 25.2; Cannot expire articles in virtual group
Thread-Topic: bug#31739: 25.2; Cannot expire articles in virtual group
Thread-Index: AQHVdp7vyVzx1dFOJEi3mT2e6FHPtg==
Date: Tue, 1 Oct 2019 14:08:44 +0000
Message-ID: <87k19owob9.fsf@HIDDEN>
References: <877enb7pqw.fsf@HIDDEN>
 <87ftkfseb1.fsf@HIDDEN> <875zl9hg7c.fsf@HIDDEN>
 <87d0fg8xc2.fsf@HIDDEN>
Accept-Language: en-GB, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-clientproxiedby: LNXP123CA0019.GBRP123.PROD.OUTLOOK.COM
 (2603:10a6:600:d2::31) To VI1PR04MB5727.eurprd04.prod.outlook.com
 (2603:10a6:803:e4::25)
authentication-results: spf=none (sender IP is )
 smtp.mailfrom=J.Forth@HIDDEN; 
x-ms-exchange-messagesentrepresentingtype: 1
x-originating-ip: [158.223.51.110]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 93380626-9b95-45e1-34bc-08d74678de77
x-ms-traffictypediagnostic: VI1PR04MB3088:
x-microsoft-antispam-prvs: <VI1PR04MB308808B7C5CC9A4186131BA3C59D0@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:7219;
x-forefront-prvs: 0177904E6B
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10009020)(4636009)(39850400004)(136003)(346002)(376002)(396003)(366004)(199004)(189003)(23363002)(5660300002)(66066001)(64756008)(36756003)(71200400001)(71190400001)(86362001)(256004)(66946007)(229853002)(478600001)(66446008)(66556008)(66476007)(25786009)(3846002)(476003)(6916009)(486006)(6486002)(386003)(76176011)(6506007)(6116002)(2616005)(8936002)(7736002)(52116002)(446003)(14454004)(6246003)(316002)(305945005)(186003)(8676002)(81166006)(81156014)(26005)(6512007)(99286004)(786003)(2906002)(102836004)(4326008)(6436002);
 DIR:OUT; SFP:1101; SCL:1; SRVR:VI1PR04MB3088;
 H:VI1PR04MB5727.eurprd04.prod.outlook.com; FPR:; SPF:None; LANG:en;
 PTR:InfoNoRecords; A:1; MX:1; 
received-spf: None (protection.outlook.com: gold.ac.uk does not designate
 permitted sender hosts)
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: OuviITjJQAFo38fwZZCVWf05SqFGVrPsgSZfarB9qDXUd5PhFBCcSEjUb/6Aur0FkWBX/UuYdQQ6o7dOuw1TyVNokCMAJMYkFCLeUCKYD/qbi+ibt5TR2qktusCgLEIlI+wEtA2JWDDhugztq3hkjncKFKAEVkNz3LCuFbNMVhmIsm0I8x9BQq4Nx8VZg4U6TJDcWKnv1dWRT3XM41Cr2YAK/inm5mNFx5qvj1Lf0hujZ9bp9jNhZryjyZ/MOBmpEUtUYQr9BKxj52Nl/CJjUsEoC80kB9DpxYGLifks2h4FrfKJeQcCrFPpPnTBqEYLj1+es8WWhNFP48DjM4PdB+PHybXxjYUYEPkrxBLpMqthxMN0n0KWNYLXTL6fp+nKPl9/PhhattO6v7/ktUGeHlYX4qMDeQtpzzdBGHGpOw4=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-ID: <5530AFF1A3846141988108ED3E7346B1@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: gold.ac.uk
X-MS-Exchange-CrossTenant-Network-Message-Id: 93380626-9b95-45e1-34bc-08d74678de77
X-MS-Exchange-CrossTenant-originalarrivaltime: 01 Oct 2019 14:08:44.1077 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 0d431f3f-20c1-461c-958a-46b29d4e021b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: FxEeJ+TLXnUFQf0J9SYO6haqO6EIZVPFH9jS1E/KhzgeqYpcoPOm8Y0oN74KjiH9SECZGz0raBSFSYcNq6itKXfHMnDK0F6ZmrtUqoHGoowBKE4eLI68PnqKHSJySQQh
X-MS-Exchange-Transport-CrossTenantHeadersStamped: VI1PR04MB3088
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31739
Cc: "31739 <at> debbugs.gnu.org" <31739 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

TGFycyBJbmdlYnJpZ3RzZW4gPGxhcnNpQGdudXMub3JnPiB3cml0ZXM6DQoNCj4gSmFtaWUgRm9y
dGggPEouRm9ydGhAZ29sZC5hYy51az4gd3JpdGVzOg0KPg0KPiBUbyBkZWJ1ZywgbWFyayBhIG1l
c3NhZ2UgaW4gdGhlIG5udmlydHVhbCBncm91cCBhcyBleHBpcmFibGUsIGV4aXQgdGhlDQo+IGdy
b3VwLCBhbmQgbG9vayBpbiB0aGUgKmltYXAgbG9nKiBidWZmZXIgYW5kIHNlZSB3aGF0J3MgdGhl
cmUuDQoNCjE0OjM0OjQzIFtnb2xkXSAzNTYyIFNFTEVDVCAiSnVuayBFbWFpbCINCjE0OjM0OjQz
IFtnb2xkXSAzNTYzIFVJRCBTVE9SRSAzNCArRkxBR1MuU0lMRU5UIChcU2VlbikNCg0KSG0sIHNv
IG5vIFxEZWxldGVkLg0KDQpEb2luZyB0aGUgc2FtZSBpbiBhIG5vcm1hbCBncm91cDoNCg0KMTQ6
NDA6MDMgW2dvbGRdIDM3ODcgU0VMRUNUICJKdW5rIEVtYWlsIg0KMTQ6NDA6MDMgW2dvbGRdIDM3
ODggU0VMRUNUICJKdW5rIEVtYWlsIg0KMTQ6NDA6MDMgW2dvbGRdIDM3ODkgVUlEIE1PVkUgMzEg
IkRlbGV0ZWQgSXRlbXMiDQoxNDo0MDowMyBbZ29sZF0gMzc5MCBTRUxFQ1QgIkp1bmsgRW1haWwi
DQoxNDo0MDowMyBbZ29sZF0gMzc5MSBTRUxFQ1QgIkp1bmsgRW1haWwiDQoxNDo0MDowMyBbZ29s
ZF0gMzc5MiBVSUQgU1RPUkUgMzEgK0ZMQUdTLlNJTEVOVCAoXFNlZW4pDQoNCk9LLCBzbyBJ4oCZ
bSBtb3ZpbmcgcmF0aGVyIHRoYW4gZGVsZXRpbmcsIHRoaXMgbWFrZXMgc2Vuc2UgYmVjYXVzZSBJ
IGhhdmUNCihubm1haWwtZXhwaXJ5LXRhcmdldCAibm5pbWFwK2dvbGQ6RGVsZXRlZCBJdGVtcyIp
Lg0KDQpTZXR0aW5nIG5ubWFpbC1leHBpcnktdGFyZ2V0IGJhY2sgdG8gdGhlIGRlZmF1bHQgSSBu
b3cgc2VlOg0KDQoxNDo1NToxMSBbZ29sZF0gMTg4IFNFTEVDVCAiSnVuayBFbWFpbCINCjE0OjU1
OjExIFtnb2xkXSAxODkgVUlEIFNUT1JFIDI1ICtGTEFHUy5TSUxFTlQgKFxEZWxldGVkKQ0KMTQ6
NTU6MTEgW2dvbGRdIDE5MCBVSUQgRVhQVU5HRSAyNQ0KMTQ6NTU6MTEgW2dvbGRdIDE5MSBTRUxF
Q1QgIkp1bmsgRW1haWwiDQoxNDo1NToxMSBbZ29sZF0gMTkyIFVJRCBTVE9SRSAyNSArRkxBR1Mu
U0lMRU5UIChcU2VlbikNCg0KQnV0IG5vIGRpZmZlcmVuY2Ugd2hlbiBleHBpcmluZyB3aXRoaW4g
dGhlIHZpcnR1YWwgZ3JvdXAuDQoNCjE0OjU1OjU3IFtnb2xkXSAxOTYgU0VMRUNUICJKdW5rIEVt
YWlsIg0KMTQ6NTU6NTcgW2dvbGRdIDE5NyBVSUQgU1RPUkUgMjIgK0ZMQUdTLlNJTEVOVCAoXFNl
ZW4pDQoNCi0tDQpKYW1pZQ0K




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31739; Package emacs. Full text available.

Message received at 31739 <at> debbugs.gnu.org:


Received: (at 31739) by debbugs.gnu.org; 1 Oct 2019 12:27:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 08:27:47 2019
Received: from localhost ([127.0.0.1]:60995 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFHFq-0003sg-3k
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 08:27:46 -0400
Received: from quimby.gnus.org ([80.91.231.51]:49418)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iFHFp-0003sZ-2k
 for 31739 <at> debbugs.gnu.org; Tue, 01 Oct 2019 08:27:45 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iFHFl-0002Wu-BI; Tue, 01 Oct 2019 14:27:43 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jamie Forth <J.Forth@HIDDEN>
Subject: Re: bug#31739: 25.2; Cannot expire articles in virtual group
References: <877enb7pqw.fsf@HIDDEN>
 <87ftkfseb1.fsf@HIDDEN> <875zl9hg7c.fsf@HIDDEN>
Date: Tue, 01 Oct 2019 14:27:41 +0200
In-Reply-To: <875zl9hg7c.fsf@HIDDEN> (Jamie Forth's message of "Mon, 30
 Sep 2019 17:00:40 +0000")
Message-ID: <87d0fg8xc2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jamie Forth <J.Forth@HIDDEN> writes: > Thanks for looking
 into it, I still experience the issue with Emacs > 27.0.50. Sorry; I was
 thinking about a different bug nnimap expiration bug, not the nnvirtual one.
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31739
Cc: "31739 <at> debbugs.gnu.org" <31739 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jamie Forth <J.Forth@HIDDEN> writes:

> Thanks for looking into it, I still experience the issue with Emacs
> 27.0.50.

Sorry; I was thinking about a different bug nnimap expiration bug, not
the nnvirtual one.

To debug, mark a message in the nnvirtual group as expirable, exit the
group, and look in the *imap log* buffer and see what's there.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31739; Package emacs. Full text available.

Message received at 31739 <at> debbugs.gnu.org:


Received: (at 31739) by debbugs.gnu.org; 1 Oct 2019 12:25:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 08:25:13 2019
Received: from localhost ([127.0.0.1]:60984 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFHDM-0003p2-SA
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 08:25:13 -0400
Received: from quimby.gnus.org ([80.91.231.51]:49368)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iFHDK-0003oq-N1
 for 31739 <at> debbugs.gnu.org; Tue, 01 Oct 2019 08:25:11 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iFHDF-0002Uw-Mu; Tue, 01 Oct 2019 14:25:09 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jamie Forth <J.Forth@HIDDEN>
Subject: Re: bug#31739: 25.2; Cannot expire articles in virtual group
References: <877enb7pqw.fsf@HIDDEN>
 <87ftkfseb1.fsf@HIDDEN> <875zl9hg7c.fsf@HIDDEN>
Date: Tue, 01 Oct 2019 14:25:05 +0200
In-Reply-To: <875zl9hg7c.fsf@HIDDEN> (Jamie Forth's message of "Mon, 30
 Sep 2019 17:00:40 +0000")
Message-ID: <87h84s8xge.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jamie Forth <J.Forth@HIDDEN> writes: >> 10:19:12
 [quimby.gnus.org]
 7219 SELECT "spam" >> 10:19:12 [quimby.gnus.org] 7220 UID STORE 392789
 +FLAGS.SILENT
 (\Deleted) >> 10:19:12 [quimby.gnus.org] 7221 UID EXPUNGE 392789 >> >> So
 the message [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31739
Cc: "31739 <at> debbugs.gnu.org" <31739 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jamie Forth <J.Forth@HIDDEN> writes:

>> 10:19:12 [quimby.gnus.org] 7219 SELECT "spam"
>> 10:19:12 [quimby.gnus.org] 7220 UID STORE 392789 +FLAGS.SILENT (\Deleted)
>> 10:19:12 [quimby.gnus.org] 7221 UID EXPUNGE 392789
>>
>> So the message was deleted from the nnimap component group.
>>
>> Are you still seeing this bug in newer Emacs versions?
>
> Thanks for looking into it, I still experience the issue with Emacs
> 27.0.50.

By "the issue", do you mean that messages in INBOX aren't expunged after
splitting mail?

> My setup is fairly minimal. This is how imap is configured.
>
> (add-to-list
>  'gnus-secondary-select-methods
>  '(nnimap "gold"
>           (nnimap-stream shell)
>           (nnimap-shell-program
>            "/usr/lib/dovecot/imap -c ~/.config/dovecot/gold.conf  2> /dev=
/null")
>           (nnir-search-engine imap)
>           (nnmail-expiry-target "nnimap+gold:Deleted Items")
>           (nnmail-expiry-wait immediate)))
>
> I=E2=80=99m not quite sure how to debug this, but if you have any suggest=
ion
> I=E2=80=99ll give them a try.

(setq nnimap-record-commands t)

and look in the "*imap log*" buffer after splitting, and post the
relevant bits here.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31739; Package emacs. Full text available.

Message received at 31739 <at> debbugs.gnu.org:


Received: (at 31739) by debbugs.gnu.org; 30 Sep 2019 17:00:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 30 13:00:51 2019
Received: from localhost ([127.0.0.1]:60414 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEz2Y-0005BP-Uf
	for submit <at> debbugs.gnu.org; Mon, 30 Sep 2019 13:00:51 -0400
Received: from mail-eopbgr50087.outbound.protection.outlook.com
 ([40.107.5.87]:38110 helo=EUR03-VE1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <J.Forth@HIDDEN>) id 1iEz2W-00052W-Oz
 for 31739 <at> debbugs.gnu.org; Mon, 30 Sep 2019 13:00:49 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=BoXCcT2d/Ea7ovEQ+hPwJoMZIpSTjuKj7Y655VxvH53SBNqSTqnc5EwTdhShDMLqBJNDjXqQCShhE5D+2MGKYx9+UUD9X6x6DvFKLZ87Z0uPF0H+fDAHiQYfmkhZG/z657Vfx53yicOBqaFfsBCXayIVzsBNGlfSwkYdZH64uz1Z2d2MMKeNWV8DrFPG+NdZWo4crN02FBtHjJFrez54fGOxRM8KHsADC02fr+YvFszvA2zqAfXcHjtz53mimktF+5v60DP/AFwMmBEg5EM/c9CpPmT3q3G9USHyesykG8gQR/PBUhhMGe8lieBHj6wQtGcTyVuwwn4sDtpejaa/Jg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=suMvSqyJsFEatTUHNcuFyx17Ir/8AQZ+Aa9GSpirtqI=;
 b=bjB7eLOqc7LCMU+38Nxy46ejlrwZAEZeGcMYvRJZ0zdU/GO1Hfr++SmxUjpuIkvrV0vT1KjJx9hee3LAabN/ZjXtI8zMQTt8Fekdlf+6coZs8dlPzysXY2+9dWD2SwdUqAGzssv+GF3P06UgXUeRP+Pjqrf99tqAWGRAbuK1F8KXGqY926R+n0TQHDefBCT71TJXJ9ErD+w+52Pu/q5n3yIYyCwu5RoL/ZvXtkdU0CTnPmlUZeNPqPHIL7w8N9WmvjN/vD75Cf3HkyK5dfy7C9hGl5ktbKEseWFvundHpFXjn0BhEHd0Gt3DcMQ5o8Qs9EOEJ/+WjEnqaJmN+8TPHQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=gold.ac.uk; dmarc=pass action=none header.from=gold.ac.uk;
 dkim=pass header.d=gold.ac.uk; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=GoldsmithsCollege.onmicrosoft.com;
 s=selector2-GoldsmithsCollege-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=suMvSqyJsFEatTUHNcuFyx17Ir/8AQZ+Aa9GSpirtqI=;
 b=JApan3WCfIqeodzg0Xd7H8L0Ig73TfOD3wRhq61q9qsxut5r7JNSLwNaj/g8vwqKqlhSZlgtUSnMc3J6JHy3ghZXrEev5uFd8rImbNoC6GD3cfTXYdaj3QTI2Jfsr1JSsdQGo0ZRrouSKufWagYfPjHEFMBfeBmkRhAz+KH0ZZo=
Received: from VI1PR04MB5727.eurprd04.prod.outlook.com (20.178.127.25) by
 VI1PR04MB6144.eurprd04.prod.outlook.com (20.179.27.74) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.2305.20; Mon, 30 Sep 2019 17:00:41 +0000
Received: from VI1PR04MB5727.eurprd04.prod.outlook.com
 ([fe80::4c1f:e57b:4eec:5f59]) by VI1PR04MB5727.eurprd04.prod.outlook.com
 ([fe80::4c1f:e57b:4eec:5f59%7]) with mapi id 15.20.2305.017; Mon, 30 Sep 2019
 17:00:41 +0000
From: Jamie Forth <J.Forth@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#31739: 25.2; Cannot expire articles in virtual group
Thread-Topic: bug#31739: 25.2; Cannot expire articles in virtual group
Thread-Index: AQHVdp7vyVzx1dFOJEi3mT2e6FHPtg==
Date: Mon, 30 Sep 2019 17:00:40 +0000
Message-ID: <875zl9hg7c.fsf@HIDDEN>
References: <877enb7pqw.fsf@HIDDEN>
 <87ftkfseb1.fsf@HIDDEN>
In-Reply-To: <87ftkfseb1.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 29 Sep 2019 10:21:38 +0200")
Accept-Language: en-GB, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-clientproxiedby: LO2P265CA0356.GBRP265.PROD.OUTLOOK.COM
 (2603:10a6:600:d::32) To VI1PR04MB5727.eurprd04.prod.outlook.com
 (2603:10a6:803:e4::25)
authentication-results: spf=none (sender IP is )
 smtp.mailfrom=J.Forth@HIDDEN; 
x-ms-exchange-messagesentrepresentingtype: 1
x-originating-ip: [158.223.51.110]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 4c266a52-4c0a-4288-c5e4-08d745c7b965
x-ms-traffictypediagnostic: VI1PR04MB6144:
x-microsoft-antispam-prvs: <VI1PR04MB614462B3477BC84AC85C842BC5820@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:8273;
x-forefront-prvs: 01762B0D64
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10009020)(4636009)(366004)(376002)(346002)(136003)(39860400002)(396003)(23363002)(189003)(199004)(64756008)(6506007)(102836004)(66476007)(3846002)(6116002)(7736002)(305945005)(11346002)(186003)(446003)(386003)(4326008)(26005)(76176011)(66946007)(6246003)(25786009)(66556008)(316002)(478600001)(786003)(66446008)(6436002)(66066001)(2616005)(476003)(486006)(14454004)(36756003)(52116002)(2906002)(5660300002)(6486002)(86362001)(71190400001)(229853002)(6512007)(99286004)(6916009)(8676002)(81156014)(81166006)(8936002)(14444005)(256004)(71200400001);
 DIR:OUT; SFP:1101; SCL:1; SRVR:VI1PR04MB6144;
 H:VI1PR04MB5727.eurprd04.prod.outlook.com; FPR:; SPF:None; LANG:en;
 PTR:InfoNoRecords; MX:1; A:1; 
received-spf: None (protection.outlook.com: gold.ac.uk does not designate
 permitted sender hosts)
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: CeAEd8uCSaYrww/ozOPrGh3K3QXMw04s6SUGSdqRFDHOcJ34JCPpkY1+5JzVH0/Kkt4fB/DaBaqMspqyO2Vc1xEdzX0eCZJbXrcGadW0qROdiSsQtS8t9CbUxvT2uO1oRDXt3DiGt5qIZE94RdaFm9kuRXL6IpOLtLr2pSGnfxCWsVqH3CbExUBHEvD/vICWWnfnNyHIYj2sgAGq9eYfFx6PHvOe9yGVjJ8kBFdN/IDxzMyNtBozRwBV0DRPdCdfcK6T1Igi8+QF376YneuPm9RwYti66VE396A+G1NTY5fNNgNBCUgTel/KfUGQdlidAaW0kiWZZArk0ZhRSK7vZZmKpdAQNiaa+PlAyXcYxBFgDKUVyF6VRCDWsZWx3D9gmSLgYr2pPXyv/VhXReRc6l2W/AIeoTGia3tGhqoa2QM=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-ID: <08681AB6E0DAB742806C95633B0C0327@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: gold.ac.uk
X-MS-Exchange-CrossTenant-Network-Message-Id: 4c266a52-4c0a-4288-c5e4-08d745c7b965
X-MS-Exchange-CrossTenant-originalarrivaltime: 30 Sep 2019 17:00:40.8876 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 0d431f3f-20c1-461c-958a-46b29d4e021b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: ghDU2Tk5vEs1oas5e4aKtHnldYO2e7eMvtlH4wV/dZ1PeUsWytrDt73/IBVDSTjXjuiFfF9IL47+Td200+54tP16uTD77suAckZbBX0s9NtRiR66y4wcYDwvrELqXMo9
X-MS-Exchange-Transport-CrossTenantHeadersStamped: VI1PR04MB6144
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31739
Cc: "31739 <at> debbugs.gnu.org" <31739 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)
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Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31739; Package emacs. Full text available.
Added tag(s) unreproducible. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 31739 <at> debbugs.gnu.org:


Received: (at 31739) by debbugs.gnu.org; 29 Sep 2019 08:21:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 04:21:47 2019
Received: from localhost ([127.0.0.1]:52165 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEUSh-0007aL-38
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 04:21:47 -0400
Received: from quimby.gnus.org ([80.91.231.51]:48394)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iEUSe-0007aC-DU
 for 31739 <at> debbugs.gnu.org; Sun, 29 Sep 2019 04:21:45 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iEUSZ-0006Kk-6V; Sun, 29 Sep 2019 10:21:42 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jamie Forth <j.forth@HIDDEN>
Subject: Re: bug#31739: 25.2; Cannot expire articles in virtual group
References: <877enb7pqw.fsf@HIDDEN>
Date: Sun, 29 Sep 2019 10:21:38 +0200
In-Reply-To: <877enb7pqw.fsf@HIDDEN>
 (Jamie Forth's message of "Wed, 06 Jun 2018 19:07:35 +0100")
Message-ID: <87ftkfseb1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jamie Forth <j.forth@HIDDEN> writes: > Expiring articles
 within a non-virtual group works as expected, but not > within a virtual
 group. > > 1. Create a new virtual group (G V) > 2. Select and add a component
 group (G v) > 3. Enter the n [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31739
Cc: 31739 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jamie Forth <j.forth@HIDDEN> writes:

> Expiring articles within a non-virtual group works as expected, but not
> within a virtual group.
>
> 1. Create a new virtual group (G V)
> 2. Select and add a component group (G v)
> 3. Enter the new virtual group and mark a message as expirable (E)
> 4. Quit the group (or B e) to trigger the expiry process results in
>    the following messages
>
> Expiring articles...
> Expiring articles in <component group>...done
> Expiring articles...done
>
> 5. Re-enter the virtual group (or C-u M-g), and find that the article
>    previously marked as expirable has not been expired.
>
> I=E2=80=99m using nnimap groups and `nnmail-expiry-wait` is set to immedi=
ate.

I'm unable to reproduce this in Emacs 27.  If I follow your recipe
(create a virtual group with an nnimap component, and mark an article in
the virtual group with `E'), the IMAP log shows:

10:19:12 [quimby.gnus.org] 7219 SELECT "spam"
10:19:12 [quimby.gnus.org] 7220 UID STORE 392789 +FLAGS.SILENT (\Deleted)
10:19:12 [quimby.gnus.org] 7221 UID EXPUNGE 392789

So the message was deleted from the nnimap component group.

Are you still seeing this bug in newer Emacs versions?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31739; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Jun 2018 20:39:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 06 16:39:09 2018
Received: from localhost ([127.0.0.1]:37086 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fQfD1-0005AQ-F0
	for submit <at> debbugs.gnu.org; Wed, 06 Jun 2018 16:39:09 -0400
Received: from eggs.gnu.org ([208.118.235.92]:35333)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <J.Forth@HIDDEN>) id 1fQcqn-0001ey-Tt
 for submit <at> debbugs.gnu.org; Wed, 06 Jun 2018 14:08:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <J.Forth@HIDDEN>) id 1fQcqe-0005rh-Bu
 for submit <at> debbugs.gnu.org; Wed, 06 Jun 2018 14:07:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.3 required=5.0 tests=BAYES_50,
 RECEIVED_FROM_WINDOWS_HOST,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:43139)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <J.Forth@HIDDEN>) id 1fQcqe-0005rQ-6t
 for submit <at> debbugs.gnu.org; Wed, 06 Jun 2018 14:07:52 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:54500)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <J.Forth@HIDDEN>) id 1fQcqZ-0006ZD-6f
 for bug-gnu-emacs@HIDDEN; Wed, 06 Jun 2018 14:07:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <J.Forth@HIDDEN>) id 1fQcqU-0005hZ-Rl
 for bug-gnu-emacs@HIDDEN; Wed, 06 Jun 2018 14:07:47 -0400
Received: from mail-he1eur01on0049.outbound.protection.outlook.com
 ([104.47.0.49]:13136 helo=EUR01-HE1-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <J.Forth@HIDDEN>) id 1fQcqU-0005en-4q
 for bug-gnu-emacs@HIDDEN; Wed, 06 Jun 2018 14:07:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=GoldsmithsCollege.onmicrosoft.com; s=selector1-gold-ac-uk;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=Tt/jWpPGkFtPYo+39jVagVz3YMjnvQOSO2vSH352XzQ=;
 b=Ps9ezBz/KK32Fz64TZuud6oYIjeAgUbH8D0FGBo86Ct2pexodehCOp7xQ1yl8ggfxyglfdHHorKpP0Xp4bAllpjtfEBdv8LAVNCO3k/KlvT2iDckT/0eC7A/c03N6mtQ8GfiDp/zmeZevgTLy/fx/5QrPXSqYe5AHvmEQ1s2FuY=
Authentication-Results: spf=none (sender IP is )
 smtp.mailfrom=J.Forth@HIDDEN; 
Received: from lutyens (158.223.165.100) by
 AM0PR04MB5041.eurprd04.prod.outlook.com (2603:10a6:208:c9::18) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.820.14; Wed, 6 Jun 2018 18:07:38 +0000
From: Jamie Forth <j.forth@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.2; Cannot expire articles in virtual group
Date: Wed, 06 Jun 2018 19:07:35 +0100
Message-ID: <877enb7pqw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Originating-IP: [158.223.165.100]
X-ClientProxiedBy: LO2P265CA0143.GBRP265.PROD.OUTLOOK.COM
 (2603:10a6:600:9f::35) To AM0PR04MB5041.eurprd04.prod.outlook.com
 (2603:10a6:208:c9::18)
X-MS-PublicTrafficType: Email
X-Microsoft-Antispam: UriScan:; BCL:0; PCL:0;
 RULEID:(7020095)(4652020)(5600026)(4534165)(4627221)(201703031133081)(201702281549075)(2017052603328)(7153060)(7193020);
 SRVR:AM0PR04MB5041; 
X-Microsoft-Exchange-Diagnostics: 1; AM0PR04MB5041;
 3:ZRtgrF89lkAraw9aQkRWS6JuJYMOadf9pS/pMpfF9gANjONUYxXZTZOth3QVy4sufU183dK24xXm6RIUa+n2iTLTZIIJ0RdR9hQPCgV/5/7AQA1HxxHWwDjO4tvtgdqSPazAuKuSCjvBSHsjykFgDYtXBvU7LMMuyUa7kN7HDcvBsFdvXmTl1yRNKEm9EdF9kgNOQuFNz7Ezj1K7/oGaqMvcslcsFF8WpPXoMr0svbbP5J9SIhT2OGmXOLrSRCR3;
 25:HJPLotoN4LCD7wJ3KBqRj9vZmkpvRCwdnghPP/FWSQ4tJbeSL7VvsExiMTZf/TwHJ+JaXAn4sQML/JVDaYlxwfhCfXREDbwRr6QYKeFSsqpfA5xnncof0ewQiYrCxiimaZemLkF/SmV8p64CD2EuOogQQTgO4idbbAj7yO5+hiTPOVpnv+/7tqiXrkKg0jJH07AtPtePV3AuJjtrND9XFtdbkPAi7FDeDTWI6xmc3As392gzAhyVssomwikK4HBqR7c8DnZHeQ275z5OCpYm4dXv9g2HPAjjqCmpPIflEgODUmSVcTXoGJy9cKtLzLXw3IaiLyY+xC/0WnwEwVXmLw==;
 31:qewcuMgxMW4qtDn4cm+qPk6JU5lfxOLAZdk4+nBOl7XTiqemQ/qaTGXbodepdpvhs7p6tA9msgYegh78V6lbksgzT/7kuNozWf61Vdk1/nUMDHm7Kv7K1NSIGkyep9lyhBaeYejCAsCfaYq1RS2NmAFlQN8zyMovpNvelV1NI5XPCq7ZMMJ19xjX/J7FiAzovQH35189p/9RyySMXXtZw6N23ZK20N1K2+AQkDzIE0c=
X-MS-TrafficTypeDiagnostic: AM0PR04MB5041:
X-Microsoft-Exchange-Diagnostics: 1; AM0PR04MB5041;
 20:5gvaVVRbz3JaggqDaEyaPFYLBZ5kMm9q0pLtcQ1jPh7noIflChnOJjcs/VWybdyPSQ0BvMmB3zWVojaGh1Pu1ZA9nyNf/kAS5W/uNZL8/uGmTBo5JyPfn7mrsfj6pASJqXbwIam+OIbAwtQNToj5zlYhyqXPNe8KcYKDj+7jVUkDQeyc/9RZlYst9jUvwRTdJD7jueAoSqAB5x7wMXKUTuUmQ/2Hq2+kivEJv5KoI4Zl+eHgYFwRpxvC+Jd05AJGM3Fxp7TbDf0QgvyGdIYPVur72vLDvhauZOiOSMjlxsfQaR8xbpe9rrJ5Ee8Buy4p1zWLu+5LvTFzht1lb21I/M3Y6ktYNEMO+rriVTel3uGhuwL7GBd8WAIQ3pAacX7nlzqsfbMED1RFjZobDNBXLKLFrOWsLXIxJNvEnyfayfjG7voVvw5JnggZ16ZR9tgyeIJCy0cL5P1M9mTULzEmGbcn4FCzHIBhHB+f0uUfVa57nEn2RWnpbwFrtJXariBo;
 4:SViPlJ4IkaNWTJWsI7Y4ePYpRDUMOMIZkj2R0C1QNmQl26SGey6w3zAc8UvklPMJvocNTSrxjKpv+GhyuWTAoGiDVxcXKxa44PyLtICkX8OwXAl6lryxuO6kBPfTMRMRZgzp/FJQXn6O+m+eZ6glChFTR40k+aNafDLyHB1R9nO5NZs7WsfNde7myHMh6xKnS8Xf0Vxduqnq0KDvZ8WAx3ZFxwcBsKxle3d6n4S2fv5T3LzxErYhvXb7Em1F/+LsvbV3rrRIvvmlnb2UOBDj6ZuVUdiRwGnlkmfwHc9getVqre4gpvpEI6DP/9e6BZLG
X-Microsoft-Antispam-PRVS: <AM0PR04MB5041CF2ED0D7D4C73280C8B6C5650@HIDDEN>
X-Exchange-Antispam-Report-Test: UriScan:(158342451672863);
X-MS-Exchange-SenderADCheck: 1
X-Exchange-Antispam-Report-CFA-Test: BCL:0; PCL:0;
 RULEID:(6040522)(2401047)(8121501046)(5005006)(10201501046)(93006095)(93001095)(3002001)(3231254)(944501410)(52105095)(149027)(150027)(6041310)(201703131423095)(201702281529075)(201702281528075)(20161123555045)(201703061421075)(201703061406153)(20161123560045)(20161123562045)(20161123558120)(20161123564045)(6072148)(201708071742011)(7699016);
 SRVR:AM0PR04MB5041; BCL:0; PCL:0; RULEID:; SRVR:AM0PR04MB5041; 
X-Forefront-PRVS: 06952FC175
X-Forefront-Antispam-Report: SFV:NSPM;
 SFS:(10009020)(39860400002)(366004)(346002)(376002)(396003)(39380400002)(23363002)(50944005)(199004)(189003)(386003)(52146003)(52116002)(6496006)(68736007)(16526019)(8936002)(23676004)(74482002)(105586002)(106356001)(476003)(33896004)(5660300001)(9686003)(186003)(8746002)(6666003)(6916009)(81156014)(25786009)(2486003)(316002)(3846002)(6116002)(8676002)(59450400001)(66066001)(97736004)(5890100001)(2906002)(47776003)(478600001)(72206003)(305945005)(86362001)(50466002)(2351001)(7736002)(26005)(53946003)(53936002)(786003)(81166006)(6486002)(956004)(2361001)(551544002)(486006);
 DIR:OUT; SFP:1101; SCL:1; SRVR:AM0PR04MB5041; H:lutyens; FPR:; SPF:None;
 LANG:en; PTR:InfoNoRecords; A:1; MX:1; 
Received-SPF: None (protection.outlook.com: gold.ac.uk does not designate
 permitted sender hosts)
X-Microsoft-Exchange-Diagnostics: =?utf-8?B?MTtBTTBQUjA0TUI1MDQxOzIzOlFwaW5kbHZnQllsaTVtQXVOR01GUS8rM1o0?=
 =?utf-8?B?bGdXRmE2ckpmRmRWdm95RmFKOUswSUhCK2N5UERWSWZZZlpXRDBpY3ZLeFds?=
 =?utf-8?B?S2pZMStwSUNLMW5kQytWUlhaZWk5WkdQMVNoVm1aV25NbllySmNLOEZQQlYv?=
 =?utf-8?B?Q0ZEcGVMY0wxUk1zbkJJR0hOaFFhSVo2MEREODg2bEo5N09UYU82QUM0R0pt?=
 =?utf-8?B?TzRNRjV6d1FIUytIUzNYNGZkalFxZEQ0T1g0QjhIRVVFb3dHVXdESDNYV3Rj?=
 =?utf-8?B?Wk1CWGVnYzR2TkZUdFk0UTRSTmxPRVh2eVV5SGxvUElOcnhlYVdnZHBBSW95?=
 =?utf-8?B?WG1KbEgzRThnMHh5cGxFYUtQajF2UXlQUTlTNytkNndXN0lIdUVCQ2pSMzZp?=
 =?utf-8?B?M3cvejBlcFBUa2FrRGU4Znc5MWZDQ1hLSTdCRFFQKzVLaEdMQVoxZzRGWTJS?=
 =?utf-8?B?M0lwZzB2cXdveVllOUk3QjNkOHNFM3M0Y2xrZ3JRVmNOSFBldkFNak9VcVRV?=
 =?utf-8?B?WVIyUFRiV1VNSXE5ZjZQRm1WSkJZTmVBeXI5UEppemRMMllHMHdjckVTdGdx?=
 =?utf-8?B?dXRQbXp5Y1hXdEwwSGRnN0RleWpGL3ZsR2F6VTdIMXBRUUZaWDFoR1Z5VXQx?=
 =?utf-8?B?RHFONmMyM29MR2RLWVZUZ3pUSFBwYU5RTEozbjkrTEYrUzN1cHE4SitsaXFz?=
 =?utf-8?B?UFl5TTlscEd5NTVZK3JvSVF1OEJ0VHJsVDhsQmFITWpaalBISjRXWkc4VFFT?=
 =?utf-8?B?WEx3b2NwQ3NqeVpNRzdOeHhsU0c4Z3ZmUkgxNzRXSTFqdDd5TGNDVDB3VFJD?=
 =?utf-8?B?Tmg0RzQvK25tMzBVb3liY3NQUXltekdSd1hOYU1zR3pMTjZRRk5NTzhmdjl0?=
 =?utf-8?B?MFBFV3RIa1U5dm1md2xMRDBoZXk4RWEzVi9yZzJzWHRhcVFqOVZGRXNyQUJ2?=
 =?utf-8?B?MlNrSmxKTjBoOE5kckw4Sko3QUNjVnEwaG5yc3pnQzd6eXN5b01HTWd6WmZs?=
 =?utf-8?B?TnVaNVQzMHRhSWVOMmMxSFV6RWM1cTJmRTFkbllvaS8rZ1FxT1FNWXhyY1Z3?=
 =?utf-8?B?WjNvVVJkUC9jQUFSME5Bc0hITkk3R1RTc0wzNXViV3pJSmFBVHBHRDZEdUZW?=
 =?utf-8?B?eXRCQ1N0NzhFOFZpVFVsMzU0NEZxR2Qvckp6TEZybUo5ajFxOGhlRXpEK1Fo?=
 =?utf-8?B?Sm8xUFN1R0lvQndqcXUrZTNJbkhaeCtiOWhMZndSSTh1RTZONS9YOE5MaW5v?=
 =?utf-8?B?NEljTXBzQnRYMEFKSVljVzIxa3h1YWdFSmRLRDhKanRSUExuOFpoanR0TXZq?=
 =?utf-8?B?YjRRbU9YaXNBQXZSSDVIS01sMzRsV2hrVWdLTWNybXlyazlacngzTHhPYk8w?=
 =?utf-8?B?UXBtMjVLUTE1N05sZFdmdGp0K2szYUVEK0FJVFdsUnpKdWw1Ui90ck9lM3lk?=
 =?utf-8?B?aDEwN05sT1dpT0dZU29YdTVXdmppays4bWtpRU00M2F4WnIyRm1sM3dOckE1?=
 =?utf-8?B?VGx0MXpTUGVBUTVUcXkveWdNQzJhUFlTMzBueTY0aGNJWUMreG1qUUZFeTBI?=
 =?utf-8?B?TWQ0NklpMFArelRVY01jOVVEclRFZmFMT0hXNXVvU3poWWpVbkhCdEZ6OXcr?=
 =?utf-8?B?UGUwUmVHYkZXTnBPcUlvbGM3RTYyVHZUYjhuT0V4U05LN09zOFk0QUFlRGN0?=
 =?utf-8?B?UmprckNRVTB2aVlLd25DdmsyUENNZ3N0S2FOZGJIWVhDaWdJQkFPdzFrekNS?=
 =?utf-8?Q?BqbB0c1ui7eCXSr5GO3JeSP3ycRg4jX0wpGAE=3D?=
X-Microsoft-Antispam-Message-Info: T18hwr83kI3MkxiQeIoSzhzgNhIz/7Hz9NOR2IoCmOxghb/oboFuTML1l0CRCjntVZHVpDBdNcb1jDgljHg8aG27/jCG62pWXyWOCTpoEBWpo8DSVsDhEvDnbpGZEkOjWuVfxC4mX/IjGtVkx9YAd8pBJnD9hDjYQ+LSfnvAePNm8p3FfsMwk2+3wevq2p8g
X-Microsoft-Exchange-Diagnostics: 1; AM0PR04MB5041;
 6:sko3gfElohj7elmrQPL+aHgy3/VmtHFzXl6uKZ61/lOFGLMbKzVNedizeCHXZRzQwH5HMMwZnXbCr21gZdWKlSye4YxE+F0HhujROXfI90HwtvIzgb13QW3eDltrmda48abGNCX3HwwhKNvAB0TF+VKF+bt/UD2gvDRdj4sq/U6HLtCZWTeXcmiy3edMVhhVoCvX0dC440fi7xGwEpBX2ntqBNGZ+O/U3JEazzvhWBesoTM4Mjp+JYO0CvK/VRe0gWMpwetD8rajn1lhQRB0zuPhVb+YYH/Z9bA/ruRBaKDcSLLtCnJLXnvlNtSZfb6vVnFePz6tUxJQGfamnnJLQl158lI9UFzxKqC9p6i8kL/KM/cOj4w/+yoGBSTeg7sOpSPbpSF46IdN8S+JFPR8pglc5YnT5lfgpFyQ/36NneScLI8cpl6PUlkWkDH+39HupfmqThUeMO4spWQTUYXf8Q==;
 5:OTy6yxgZOJZe0C9vOf/cmcgnPaj5bEsqQuVm/KEGJM0jQ20RXQFFuZkywFupxE83cVIzRR1wH99Kgb6vlTz84arDvylnksYf59iwWZihD+ZK/aTjGr4pY2s86TTu67p23jPkOPiPp7jUVQMLjPgK4J7bwQXuP9m3YrFc45lr3DY=;
 24:x+eYKUoEsUCt7+HjBjLpDJCa7M0WZVbXV9kCWlnyDY1O5lFql8AJgZGkT3HCz7bG3eYbUKlecCoyI3tUwmaWpvpRhewtxxyo8rR3kRk73d8=
SpamDiagnosticOutput: 1:99
SpamDiagnosticMetadata: NSPM
X-Microsoft-Exchange-Diagnostics: 1; AM0PR04MB5041;
 7:zCViEQci8irvc78zH9RtkasTNh7rUCdld2YdqVumaIPwyzKncgX3b0vGYYMW8ikAUITpcRjgcCHQfZYki3KsgvNEZggMR1EKByVpGg8A8T+3BYWxlyP3Wb33lkfu5ZtfQAQe4cQSWdwoNjpcVEAs2Xg1wJ4UUOJzCZ/r+kENcwTVyECRb2tm1hhmUVLtlCMLTmN2mA5pEcAUurbXdInT501Zlmn3xWWlR1GppafOkCIzupq0v7bld+hMQAqHqo8j
X-MS-Office365-Filtering-Correlation-Id: fc648709-72d2-441b-b7f5-08d5cbd8636d
X-OriginatorOrg: gold.ac.uk
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 06 Jun 2018 18:07:38.3562 (UTC)
X-MS-Exchange-CrossTenant-Network-Message-Id: fc648709-72d2-441b-b7f5-08d5cbd8636d
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 0d431f3f-20c1-461c-958a-46b29d4e021b
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM0PR04MB5041
X-detected-operating-system: by eggs.gnu.org: Windows 7 or 8 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 06 Jun 2018 16:39:06 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hi,

Expiring articles within a non-virtual group works as expected, but not
within a virtual group.

1. Create a new virtual group (G V)
2. Select and add a component group (G v)
3. Enter the new virtual group and mark a message as expirable (E)
4. Quit the group (or B e) to trigger the expiry process results in
   the following messages

Expiring articles...
Expiring articles in <component group>...done
Expiring articles...done

5. Re-enter the virtual group (or C-u M-g), and find that the article
   previously marked as expirable has not been expired.

I=E2=80=99m using nnimap groups and `nnmail-expiry-wait` is set to immediat=
e.

Setting `expiry-wait` and `expiry-target` nnvirtual group parameters
does not seem to have any effect.

Thanks,
Jamie


In GNU Emacs 25.2.2 (x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
 of 2018-05-07, modified by Debian built on binet
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description:	Debian GNU/Linux testing (buster)

Configured using:
 'configure --build x86_64-linux-gnu --prefix=3D/usr
 --sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib
 --localstatedir=3D/var/lib --infodir=3D/usr/share/info
 --mandir=3D/usr/share/man --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs25:/etc/emacs:/usr/local/share/emacs/25=
.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/25.2/site-li=
sp:/usr/share/emacs/site-lisp
 --with-sound=3Dalsa --without-gconf --build x86_64-linux-gnu
 --prefix=3D/usr --sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib
 --localstatedir=3D/var/lib --infodir=3D/usr/share/info
 --mandir=3D/usr/share/man --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs25:/etc/emacs:/usr/local/share/emacs/25=
.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/25.2/site-li=
sp:/usr/share/emacs/site-lisp
 --with-sound=3Dalsa --without-gconf --with-x=3Dyes --with-x-toolkit=3Dgtk3
 --with-toolkit-scroll-bars 'CFLAGS=3D-g -O2
 -fdebug-prefix-map=3D/build/emacs25-NE1ko4/emacs25-25.2+1=3D. -fstack-prot=
ector-strong
 -Wformat -Werror=3Dformat-security -Wall' 'CPPFLAGS=3D-Wdate-time
 -D_FORTIFY_SOURCE=3D2' LDFLAGS=3D-Wl,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11

Important settings:
  value of $LC_MONETARY: en_GB.UTF-8
  value of $LC_NUMERIC: en_GB.UTF-8
  value of $LC_TIME: en_GB.UTF-8
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Summary

Minor modes in effect:
  recentf-mode: t
  pyvenv-mode: t
  diff-auto-refine-mode: t
  async-bytecomp-package-mode: t
  typo-global-mode: t
  intero-global-mode: t
  shell-dirtrack-mode: t
  global-company-mode: t
  company-mode: t
  global-flycheck-mode: t
  pdf-occur-global-minor-mode: t
  show-paren-mode: t
  ivy-mode: t
  override-global-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Expiring articles in nnimap+gold-staff:INBOX...done
Expiring articles in nnimap+gold-staff:Sent Items...done
Expiring articles...done
previous-line: Beginning of buffer [2 times]
nnimap read 0k from gold-staff
Finding sort keys...
Sorting records...
Reordering buffer... Done
No more unseen articles
Auto-saving...

Load-path shadows:
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-mouse hides /home/j=
amie/.emacs.d/elpa/org-20180604/org-mouse
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-calc hides /home/jam=
ie/.emacs.d/elpa/org-20180604/ob-calc
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-sql hides /home/jami=
e/.emacs.d/elpa/org-20180604/ob-sql
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-element hides /home=
/jamie/.emacs.d/elpa/org-20180604/org-element
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-comint hides /home/j=
amie/.emacs.d/elpa/org-20180604/ob-comint
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-octave hides /home/j=
amie/.emacs.d/elpa/org-20180604/ob-octave
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-makefile hides /home=
/jamie/.emacs.d/elpa/org-20180604/ob-makefile
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org hides /home/jamie/.=
emacs.d/elpa/org-20180604/org
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-J hides /home/jamie/=
.emacs.d/elpa/org-20180604/ob-J
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-clock hides /home/j=
amie/.emacs.d/elpa/org-20180604/org-clock
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-agenda hides /home/=
jamie/.emacs.d/elpa/org-20180604/org-agenda
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-abc hides /home/jami=
e/.emacs.d/elpa/org-20180604/ob-abc
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-python hides /home/j=
amie/.emacs.d/elpa/org-20180604/ob-python
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox-beamer hides /home/j=
amie/.emacs.d/elpa/org-20180604/ox-beamer
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-emacs-lisp hides /ho=
me/jamie/.emacs.d/elpa/org-20180604/ob-emacs-lisp
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-java hides /home/jam=
ie/.emacs.d/elpa/org-20180604/ob-java
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-mobile hides /home/=
jamie/.emacs.d/elpa/org-20180604/org-mobile
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-lob hides /home/jami=
e/.emacs.d/elpa/org-20180604/ob-lob
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-archive hides /home=
/jamie/.emacs.d/elpa/org-20180604/org-archive
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox-man hides /home/jami=
e/.emacs.d/elpa/org-20180604/ox-man
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-picolisp hides /home=
/jamie/.emacs.d/elpa/org-20180604/ob-picolisp
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob hides /home/jamie/.e=
macs.d/elpa/org-20180604/ob
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox-publish hides /home/=
jamie/.emacs.d/elpa/org-20180604/ox-publish
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-timer hides /home/j=
amie/.emacs.d/elpa/org-20180604/org-timer
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-lisp hides /home/jam=
ie/.emacs.d/elpa/org-20180604/ob-lisp
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-lilypond hides /home=
/jamie/.emacs.d/elpa/org-20180604/ob-lilypond
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-mscgen hides /home/j=
amie/.emacs.d/elpa/org-20180604/ob-mscgen
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-sass hides /home/jam=
ie/.emacs.d/elpa/org-20180604/ob-sass
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-install hides /home=
/jamie/.emacs.d/elpa/org-20180604/org-install
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-ocaml hides /home/ja=
mie/.emacs.d/elpa/org-20180604/ob-ocaml
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox-odt hides /home/jami=
e/.emacs.d/elpa/org-20180604/ox-odt
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox-ascii hides /home/ja=
mie/.emacs.d/elpa/org-20180604/ox-ascii
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-shell hides /home/ja=
mie/.emacs.d/elpa/org-20180604/ob-shell
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-io hides /home/jamie=
/.emacs.d/elpa/org-20180604/ob-io
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-haskell hides /home/=
jamie/.emacs.d/elpa/org-20180604/ob-haskell
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-id hides /home/jami=
e/.emacs.d/elpa/org-20180604/org-id
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-duration hides /hom=
e/jamie/.emacs.d/elpa/org-20180604/org-duration
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-rmail hides /home/j=
amie/.emacs.d/elpa/org-20180604/org-rmail
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox-html hides /home/jam=
ie/.emacs.d/elpa/org-20180604/ox-html
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-attach hides /home/=
jamie/.emacs.d/elpa/org-20180604/org-attach
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-protocol hides /hom=
e/jamie/.emacs.d/elpa/org-20180604/org-protocol
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-exp hides /home/jami=
e/.emacs.d/elpa/org-20180604/ob-exp
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-eww hides /home/jam=
ie/.emacs.d/elpa/org-20180604/org-eww
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-css hides /home/jami=
e/.emacs.d/elpa/org-20180604/ob-css
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-ref hides /home/jami=
e/.emacs.d/elpa/org-20180604/ob-ref
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox-org hides /home/jami=
e/.emacs.d/elpa/org-20180604/ox-org
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-shen hides /home/jam=
ie/.emacs.d/elpa/org-20180604/ob-shen
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-sed hides /home/jami=
e/.emacs.d/elpa/org-20180604/ob-sed
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-macs hides /home/ja=
mie/.emacs.d/elpa/org-20180604/org-macs
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-colview hides /home=
/jamie/.emacs.d/elpa/org-20180604/org-colview
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-plot hides /home/ja=
mie/.emacs.d/elpa/org-20180604/org-plot
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-dot hides /home/jami=
e/.emacs.d/elpa/org-20180604/ob-dot
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-latex hides /home/ja=
mie/.emacs.d/elpa/org-20180604/ob-latex
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-inlinetask hides /h=
ome/jamie/.emacs.d/elpa/org-20180604/org-inlinetask
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-keys hides /home/jam=
ie/.emacs.d/elpa/org-20180604/ob-keys
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-entities hides /hom=
e/jamie/.emacs.d/elpa/org-20180604/org-entities
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox hides /home/jamie/.e=
macs.d/elpa/org-20180604/ox
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-mhe hides /home/jam=
ie/.emacs.d/elpa/org-20180604/org-mhe
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-core hides /home/jam=
ie/.emacs.d/elpa/org-20180604/ob-core
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-ruby hides /home/jam=
ie/.emacs.d/elpa/org-20180604/ob-ruby
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-tangle hides /home/j=
amie/.emacs.d/elpa/org-20180604/ob-tangle
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-perl hides /home/jam=
ie/.emacs.d/elpa/org-20180604/ob-perl
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-habit hides /home/j=
amie/.emacs.d/elpa/org-20180604/org-habit
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-src hides /home/jam=
ie/.emacs.d/elpa/org-20180604/org-src
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-eshell hides /home/=
jamie/.emacs.d/elpa/org-20180604/org-eshell
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-C hides /home/jamie/=
.emacs.d/elpa/org-20180604/ob-C
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-crypt hides /home/j=
amie/.emacs.d/elpa/org-20180604/org-crypt
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-ebnf hides /home/jam=
ie/.emacs.d/elpa/org-20180604/ob-ebnf
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-capture hides /home=
/jamie/.emacs.d/elpa/org-20180604/org-capture
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-indent hides /home/=
jamie/.emacs.d/elpa/org-20180604/org-indent
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-datetree hides /hom=
e/jamie/.emacs.d/elpa/org-20180604/org-datetree
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-ditaa hides /home/ja=
mie/.emacs.d/elpa/org-20180604/ob-ditaa
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-plantuml hides /home=
/jamie/.emacs.d/elpa/org-20180604/ob-plantuml
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-sqlite hides /home/j=
amie/.emacs.d/elpa/org-20180604/ob-sqlite
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-version hides /home=
/jamie/.emacs.d/elpa/org-20180604/org-version
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-compat hides /home/=
jamie/.emacs.d/elpa/org-20180604/org-compat
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox-md hides /home/jamie=
/.emacs.d/elpa/org-20180604/ox-md
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-scheme hides /home/j=
amie/.emacs.d/elpa/org-20180604/ob-scheme
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-groovy hides /home/j=
amie/.emacs.d/elpa/org-20180604/ob-groovy
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox-icalendar hides /hom=
e/jamie/.emacs.d/elpa/org-20180604/ox-icalendar
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-awk hides /home/jami=
e/.emacs.d/elpa/org-20180604/ob-awk
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-processing hides /ho=
me/jamie/.emacs.d/elpa/org-20180604/ob-processing
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-clojure hides /home/=
jamie/.emacs.d/elpa/org-20180604/ob-clojure
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-table hides /home/ja=
mie/.emacs.d/elpa/org-20180604/ob-table
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-pcomplete hides /ho=
me/jamie/.emacs.d/elpa/org-20180604/org-pcomplete
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-matlab hides /home/j=
amie/.emacs.d/elpa/org-20180604/ob-matlab
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-ledger hides /home/j=
amie/.emacs.d/elpa/org-20180604/ob-ledger
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-stan hides /home/jam=
ie/.emacs.d/elpa/org-20180604/ob-stan
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox-texinfo hides /home/=
jamie/.emacs.d/elpa/org-20180604/ox-texinfo
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-faces hides /home/j=
amie/.emacs.d/elpa/org-20180604/org-faces
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-bbdb hides /home/ja=
mie/.emacs.d/elpa/org-20180604/org-bbdb
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-asymptote hides /hom=
e/jamie/.emacs.d/elpa/org-20180604/ob-asymptote
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-bibtex hides /home/=
jamie/.emacs.d/elpa/org-20180604/org-bibtex
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-feed hides /home/ja=
mie/.emacs.d/elpa/org-20180604/org-feed
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-macro hides /home/j=
amie/.emacs.d/elpa/org-20180604/org-macro
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-w3m hides /home/jam=
ie/.emacs.d/elpa/org-20180604/org-w3m
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox-latex hides /home/ja=
mie/.emacs.d/elpa/org-20180604/ox-latex
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-R hides /home/jamie/=
.emacs.d/elpa/org-20180604/ob-R
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-vala hides /home/jam=
ie/.emacs.d/elpa/org-20180604/ob-vala
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-screen hides /home/j=
amie/.emacs.d/elpa/org-20180604/ob-screen
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-org hides /home/jami=
e/.emacs.d/elpa/org-20180604/ob-org
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-gnuplot hides /home/=
jamie/.emacs.d/elpa/org-20180604/ob-gnuplot
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-info hides /home/ja=
mie/.emacs.d/elpa/org-20180604/org-info
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-fortran hides /home/=
jamie/.emacs.d/elpa/org-20180604/ob-fortran
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-lua hides /home/jami=
e/.emacs.d/elpa/org-20180604/ob-lua
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-docview hides /home=
/jamie/.emacs.d/elpa/org-20180604/org-docview
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-hledger hides /home/=
jamie/.emacs.d/elpa/org-20180604/ob-hledger
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-footnote hides /hom=
e/jamie/.emacs.d/elpa/org-20180604/org-footnote
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-irc hides /home/jam=
ie/.emacs.d/elpa/org-20180604/org-irc
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-gnus hides /home/ja=
mie/.emacs.d/elpa/org-20180604/org-gnus
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-coq hides /home/jami=
e/.emacs.d/elpa/org-20180604/ob-coq
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-list hides /home/ja=
mie/.emacs.d/elpa/org-20180604/org-list
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-js hides /home/jamie=
/.emacs.d/elpa/org-20180604/ob-js
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-maxima hides /home/j=
amie/.emacs.d/elpa/org-20180604/ob-maxima
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-table hides /home/j=
amie/.emacs.d/elpa/org-20180604/org-table
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-forth hides /home/ja=
mie/.emacs.d/elpa/org-20180604/ob-forth
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-lint hides /home/ja=
mie/.emacs.d/elpa/org-20180604/org-lint
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-eval hides /home/jam=
ie/.emacs.d/elpa/org-20180604/ob-eval
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-loaddefs hides /hom=
e/jamie/.emacs.d/elpa/org-20180604/org-loaddefs
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-ctags hides /home/j=
amie/.emacs.d/elpa/org-20180604/org-ctags
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3mhack hides /usr/share/emacs2=
5/site-lisp/w3m/w3mhack
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-image hides /usr/share/emac=
s25/site-lisp/w3m/w3m-image
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/bookmark-w3m hides /usr/share/e=
macs25/site-lisp/w3m/bookmark-w3m
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-util hides /usr/share/emacs=
25/site-lisp/w3m/w3m-util
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-ems hides /usr/share/emacs2=
5/site-lisp/w3m/w3m-ems
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-namazu hides /usr/share/ema=
cs25/site-lisp/w3m/w3m-namazu
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-antenna hides /usr/share/em=
acs25/site-lisp/w3m/w3m-antenna
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-mail hides /usr/share/emacs=
25/site-lisp/w3m/w3m-mail
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-save hides /usr/share/emacs=
25/site-lisp/w3m/w3m-save
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-proc hides /usr/share/emacs=
25/site-lisp/w3m/w3m-proc
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-cookie hides /usr/share/ema=
cs25/site-lisp/w3m/w3m-cookie
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-dtree hides /usr/share/emac=
s25/site-lisp/w3m/w3m-dtree
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-session hides /usr/share/em=
acs25/site-lisp/w3m/w3m-session
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-filter hides /usr/share/ema=
cs25/site-lisp/w3m/w3m-filter
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-fb hides /usr/share/emacs25=
/site-lisp/w3m/w3m-fb
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-perldoc hides /usr/share/em=
acs25/site-lisp/w3m/w3m-perldoc
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-ccl hides /usr/share/emacs2=
5/site-lisp/w3m/w3m-ccl
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-symbol hides /usr/share/ema=
cs25/site-lisp/w3m/w3m-symbol
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/mime-w3m hides /usr/share/emacs=
25/site-lisp/w3m/mime-w3m
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m hides /usr/share/emacs25/si=
te-lisp/w3m/w3m
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-bookmark hides /usr/share/e=
macs25/site-lisp/w3m/w3m-bookmark
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-weather hides /usr/share/em=
acs25/site-lisp/w3m/w3m-weather
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-favicon hides /usr/share/em=
acs25/site-lisp/w3m/w3m-favicon
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-rss hides /usr/share/emacs2=
5/site-lisp/w3m/w3m-rss
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-search hides /usr/share/ema=
cs25/site-lisp/w3m/w3m-search
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-tabmenu hides /usr/share/em=
acs25/site-lisp/w3m/w3m-tabmenu
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-lnum hides /usr/share/emacs=
25/site-lisp/w3m/w3m-lnum
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-hist hides /usr/share/emacs=
25/site-lisp/w3m/w3m-hist
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-form hides /usr/share/emacs=
25/site-lisp/w3m/w3m-form
/home/jamie/.emacs.d/elpa/w3m-20180404.2220/w3m-bug hides /usr/share/emacs2=
5/site-lisp/w3m/w3m-bug
/usr/share/emacs/25.2/site-lisp/debian-startup hides /usr/share/emacs/site-=
lisp/debian-startup
/usr/share/emacs25/site-lisp/cmake-data/cmake-mode hides /usr/share/emacs/s=
ite-lisp/cmake-mode
/usr/share/emacs25/site-lisp/flim/hex-util hides /usr/share/emacs/25.2/lisp=
/hex-util
/usr/share/emacs25/site-lisp/flim/md4 hides /usr/share/emacs/25.2/lisp/md4
/usr/share/emacs/site-lisp/rst hides /usr/share/emacs/25.2/lisp/textmodes/r=
st
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-shen hides /usr/shar=
e/emacs/25.2/lisp/org/ob-shen
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-dot hides /usr/share=
/emacs/25.2/lisp/org/ob-dot
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-table hides /usr/sha=
re/emacs/25.2/lisp/org/ob-table
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-gnus hides /usr/sha=
re/emacs/25.2/lisp/org/org-gnus
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-ocaml hides /usr/sha=
re/emacs/25.2/lisp/org/ob-ocaml
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-emacs-lisp hides /us=
r/share/emacs/25.2/lisp/org/ob-emacs-lisp
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-ctags hides /usr/sh=
are/emacs/25.2/lisp/org/org-ctags
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-attach hides /usr/s=
hare/emacs/25.2/lisp/org/org-attach
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-id hides /usr/share=
/emacs/25.2/lisp/org/org-id
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox-html hides /usr/shar=
e/emacs/25.2/lisp/org/ox-html
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-asymptote hides /usr=
/share/emacs/25.2/lisp/org/ob-asymptote
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-maxima hides /usr/sh=
are/emacs/25.2/lisp/org/ob-maxima
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-sqlite hides /usr/sh=
are/emacs/25.2/lisp/org/ob-sqlite
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-habit hides /usr/sh=
are/emacs/25.2/lisp/org/org-habit
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-datetree hides /usr=
/share/emacs/25.2/lisp/org/org-datetree
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox-org hides /usr/share=
/emacs/25.2/lisp/org/ox-org
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-java hides /usr/shar=
e/emacs/25.2/lisp/org/ob-java
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-matlab hides /usr/sh=
are/emacs/25.2/lisp/org/ob-matlab
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-eval hides /usr/shar=
e/emacs/25.2/lisp/org/ob-eval
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox-publish hides /usr/s=
hare/emacs/25.2/lisp/org/ox-publish
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-irc hides /usr/shar=
e/emacs/25.2/lisp/org/org-irc
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-lilypond hides /usr/=
share/emacs/25.2/lisp/org/ob-lilypond
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-entities hides /usr=
/share/emacs/25.2/lisp/org/org-entities
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-element hides /usr/=
share/emacs/25.2/lisp/org/org-element
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-mouse hides /usr/sh=
are/emacs/25.2/lisp/org/org-mouse
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-install hides /usr/=
share/emacs/25.2/lisp/org/org-install
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-R hides /usr/share/e=
macs/25.2/lisp/org/ob-R
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-mobile hides /usr/s=
hare/emacs/25.2/lisp/org/org-mobile
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox-icalendar hides /usr=
/share/emacs/25.2/lisp/org/ox-icalendar
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-feed hides /usr/sha=
re/emacs/25.2/lisp/org/org-feed
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-comint hides /usr/sh=
are/emacs/25.2/lisp/org/ob-comint
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-list hides /usr/sha=
re/emacs/25.2/lisp/org/org-list
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-mhe hides /usr/shar=
e/emacs/25.2/lisp/org/org-mhe
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-calc hides /usr/shar=
e/emacs/25.2/lisp/org/ob-calc
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-archive hides /usr/=
share/emacs/25.2/lisp/org/org-archive
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-screen hides /usr/sh=
are/emacs/25.2/lisp/org/ob-screen
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-table hides /usr/sh=
are/emacs/25.2/lisp/org/org-table
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-css hides /usr/share=
/emacs/25.2/lisp/org/ob-css
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-io hides /usr/share/=
emacs/25.2/lisp/org/ob-io
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-indent hides /usr/s=
hare/emacs/25.2/lisp/org/org-indent
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-exp hides /usr/share=
/emacs/25.2/lisp/org/ob-exp
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-bibtex hides /usr/s=
hare/emacs/25.2/lisp/org/org-bibtex
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-compat hides /usr/s=
hare/emacs/25.2/lisp/org/org-compat
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-perl hides /usr/shar=
e/emacs/25.2/lisp/org/ob-perl
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-macs hides /usr/sha=
re/emacs/25.2/lisp/org/org-macs
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-ruby hides /usr/shar=
e/emacs/25.2/lisp/org/ob-ruby
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-haskell hides /usr/s=
hare/emacs/25.2/lisp/org/ob-haskell
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-bbdb hides /usr/sha=
re/emacs/25.2/lisp/org/org-bbdb
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-clock hides /usr/sh=
are/emacs/25.2/lisp/org/org-clock
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-org hides /usr/share=
/emacs/25.2/lisp/org/ob-org
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-picolisp hides /usr/=
share/emacs/25.2/lisp/org/ob-picolisp
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox hides /usr/share/ema=
cs/25.2/lisp/org/ox
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox-beamer hides /usr/sh=
are/emacs/25.2/lisp/org/ox-beamer
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-rmail hides /usr/sh=
are/emacs/25.2/lisp/org/org-rmail
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-crypt hides /usr/sh=
are/emacs/25.2/lisp/org/org-crypt
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-plantuml hides /usr/=
share/emacs/25.2/lisp/org/ob-plantuml
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-octave hides /usr/sh=
are/emacs/25.2/lisp/org/ob-octave
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-keys hides /usr/shar=
e/emacs/25.2/lisp/org/ob-keys
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-js hides /usr/share/=
emacs/25.2/lisp/org/ob-js
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-awk hides /usr/share=
/emacs/25.2/lisp/org/ob-awk
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-pcomplete hides /us=
r/share/emacs/25.2/lisp/org/org-pcomplete
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-info hides /usr/sha=
re/emacs/25.2/lisp/org/org-info
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox-ascii hides /usr/sha=
re/emacs/25.2/lisp/org/ox-ascii
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-makefile hides /usr/=
share/emacs/25.2/lisp/org/ob-makefile
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org hides /usr/share/em=
acs/25.2/lisp/org/org
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-plot hides /usr/sha=
re/emacs/25.2/lisp/org/org-plot
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-agenda hides /usr/s=
hare/emacs/25.2/lisp/org/org-agenda
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-eshell hides /usr/s=
hare/emacs/25.2/lisp/org/org-eshell
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-loaddefs hides /usr=
/share/emacs/25.2/lisp/org/org-loaddefs
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox-md hides /usr/share/=
emacs/25.2/lisp/org/ox-md
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-w3m hides /usr/shar=
e/emacs/25.2/lisp/org/org-w3m
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-capture hides /usr/=
share/emacs/25.2/lisp/org/org-capture
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox-latex hides /usr/sha=
re/emacs/25.2/lisp/org/ox-latex
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-lob hides /usr/share=
/emacs/25.2/lisp/org/ob-lob
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-ledger hides /usr/sh=
are/emacs/25.2/lisp/org/ob-ledger
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-sql hides /usr/share=
/emacs/25.2/lisp/org/ob-sql
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-mscgen hides /usr/sh=
are/emacs/25.2/lisp/org/ob-mscgen
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob hides /usr/share/ema=
cs/25.2/lisp/org/ob
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-python hides /usr/sh=
are/emacs/25.2/lisp/org/ob-python
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox-texinfo hides /usr/s=
hare/emacs/25.2/lisp/org/ox-texinfo
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-core hides /usr/shar=
e/emacs/25.2/lisp/org/ob-core
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-sass hides /usr/shar=
e/emacs/25.2/lisp/org/ob-sass
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-ditaa hides /usr/sha=
re/emacs/25.2/lisp/org/ob-ditaa
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-fortran hides /usr/s=
hare/emacs/25.2/lisp/org/ob-fortran
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox-odt hides /usr/share=
/emacs/25.2/lisp/org/ox-odt
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-scheme hides /usr/sh=
are/emacs/25.2/lisp/org/ob-scheme
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-timer hides /usr/sh=
are/emacs/25.2/lisp/org/org-timer
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-clojure hides /usr/s=
hare/emacs/25.2/lisp/org/ob-clojure
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-faces hides /usr/sh=
are/emacs/25.2/lisp/org/org-faces
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-protocol hides /usr=
/share/emacs/25.2/lisp/org/org-protocol
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-tangle hides /usr/sh=
are/emacs/25.2/lisp/org/ob-tangle
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-latex hides /usr/sha=
re/emacs/25.2/lisp/org/ob-latex
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-docview hides /usr/=
share/emacs/25.2/lisp/org/org-docview
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-macro hides /usr/sh=
are/emacs/25.2/lisp/org/org-macro
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ox-man hides /usr/share=
/emacs/25.2/lisp/org/ox-man
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-gnuplot hides /usr/s=
hare/emacs/25.2/lisp/org/ob-gnuplot
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-colview hides /usr/=
share/emacs/25.2/lisp/org/org-colview
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-src hides /usr/shar=
e/emacs/25.2/lisp/org/org-src
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-inlinetask hides /u=
sr/share/emacs/25.2/lisp/org/org-inlinetask
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-footnote hides /usr=
/share/emacs/25.2/lisp/org/org-footnote
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-lisp hides /usr/shar=
e/emacs/25.2/lisp/org/ob-lisp
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-ref hides /usr/share=
/emacs/25.2/lisp/org/ob-ref
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/ob-C hides /usr/share/e=
macs/25.2/lisp/org/ob-C
/home/jamie/.emacs.d/elpa/org-plus-contrib-20180604/org-version hides /usr/=
share/emacs/25.2/lisp/org/org-version
/usr/share/emacs25/site-lisp/flim/ntlm hides /usr/share/emacs/25.2/lisp/net=
/ntlm
/usr/share/emacs25/site-lisp/flim/sasl-ntlm hides /usr/share/emacs/25.2/lis=
p/net/sasl-ntlm
/usr/share/emacs25/site-lisp/flim/sasl-cram hides /usr/share/emacs/25.2/lis=
p/net/sasl-cram
/usr/share/emacs25/site-lisp/flim/hmac-def hides /usr/share/emacs/25.2/lisp=
/net/hmac-def
/usr/share/emacs25/site-lisp/flim/hmac-md5 hides /usr/share/emacs/25.2/lisp=
/net/hmac-md5
/usr/share/emacs25/site-lisp/flim/sasl hides /usr/share/emacs/25.2/lisp/net=
/sasl
/usr/share/emacs25/site-lisp/flim/sasl-digest hides /usr/share/emacs/25.2/l=
isp/net/sasl-digest
/home/jamie/.emacs.d/elpa/let-alist-1.0.5/let-alist hides /usr/share/emacs/=
25.2/lisp/emacs-lisp/let-alist
/home/jamie/.emacs.d/elpa/seq-2.20/seq hides /usr/share/emacs/25.2/lisp/ema=
cs-lisp/seq

Features:
(shadow org-table footnote emacsbug gnus-cite gnus-html url-cache mm-url
mm-archive mail-extr gnus-bcklg qp gnus-async sort gnus-ml disp-table
recentf gnus-cus gnus-topic nndraft nnmh gnus-agent gnus-srvr gnus-score
score-mode nnvirtual gnus-msg utf-7 network-stream nsm starttls
gnus-cache nnnil nntp smtpmail sendmail colir color counsel swiper
server cap-words superword subword company-oddmuse company-keywords
company-etags company-gtags company-dabbrev-code company-dabbrev
company-files company-capf company-cmake company-xcode company-clang
company-semantic company-eclim company-template company-css company-nxml
company-bbdb py-autopep8 yasnippet highlight-indentation flymake elpy
find-file-in-project elpy-shell pyvenv esh-var esh-io esh-cmd esh-opt
esh-ext esh-proc esh-arg esh-groups eshell esh-module esh-mode esh-util
elpy-profile elpy-django elpy-refactor grep files-x ox-extra vc-git
diff-mode org-eldoc cdlatex texmathp flyspell ispell ws-butler org-rmail
org-mhe org-irc org-info org-gnus nnir org-docview doc-view org-bbdb
org-w3m org-archive org-id org-ref org-ref-helm-bibtex org-ref-helm
helm-utils helm-bibtex bibtex-completion filenotify biblio
biblio-download biblio-dissemin biblio-hal biblio-dblp biblio-crossref
biblio-arxiv timezone biblio-doi biblio-core url-queue ido hl-line
helm-net browse-url helm-help helm helm-source helm-multi-match helm-lib
helm-config helm-easymenu async-bytecomp async org-ref-core reftex-cite
reftex reftex-vars parsebib org-ref-glossary org-ref-bibtex
org-ref-citeproc key-chord hydra lv doi-utils org-ref-utils org-ref-pdf
url-http url-auth url-gw htmlize ox-reveal ox-md org-bibtex-extras
org-bibtex bibtex ox-bibtex org-mobile org-contacts org-clock org-habit
org-agenda ox-org ox-beamer ox-odt rng-loc rng-uri rng-parse rng-match
rng-dt rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml-util
ox-latex ox-icalendar ox-html table ox-ascii ox-publish ox ob-js
ob-shell ob-ein ein-notebook eieio-opt speedbar sb-image ezimage dframe
ein-junk ein-shared-output ein-inspector ein-traceback ein-pytools
ein-pseudo-console ein-pager ein-completer ein-subpackages
ein-notification ein-scratchsheet ein-iexec ein-worksheet ein-kill-ring
ein-cell-output ein-cell-edit ein-cell ein-hy ein-skewer skewer-mode
cache-table js2-mode etags xref project js sgml-mode moz simple-httpd
ein-output-area xml ein-kernelinfo ein-kernel ein-ipdb ein-events
ein-websocket websocket bindat ein-contents-api ein-query
request-deferred deferred request url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util ein-node ein-log
ein-console ein-classes ein-core ein-utils cc-mode cc-fonts cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs ein ewoc
ob-ipython python tramp-sh f dash-functional ob-python ob-plantuml
ob-sql ob-R ob-haskell ob-lisp ob-lilypond ob-http ob-http-mode s
ob-ditaa ob-awk typo flycheck-yamllint use-package-ensure intero tramp
tramp-compat tramp-loaddefs trampver ucs-normalize shell company
warnings flycheck json map dash gnus-icalendar org-capture org-element
avl-tree org org-macro org-footnote org-pcomplete pcomplete org-list
org-faces org-entities noutline outline org-version ob-emacs-lisp ob
ob-tangle org-src ob-ref ob-lob ob-table ob-keys ob-exp ob-comint
ob-core ob-eval org-compat org-macs org-loaddefs eieio-compat gnus-art
mm-uu mml2015 mm-view mml-smime smime dig mailcap gnus-sum gnus-group
gnus-undo gnus-start gnus-cloud nnimap nnmail mail-source tls gnutls
utf7 netrc nnoo parse-time gnus-spec gnus-int gnus-range message rfc822
mml mml-sec epg mailabbrev mailheader gnus-win gnus gnus-ems nnheader
mail-utils mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047
rfc2045 ietf-drums gmm-utils icalendar diary-lib diary-loaddefs cal-menu
calendar cal-loaddefs pdf-occur ibuf-ext ibuffer tablist tablist-filter
semantic/wisent/comp semantic/wisent semantic/wisent/wisent
semantic/util-modes semantic/util semantic semantic/tag semantic/lex
semantic/fw mode-local find-func cedet dired pdf-isearch let-alist
pdf-misc imenu pdf-tools compile comint ansi-color cus-edit cus-start
cus-load pdf-view bookmark pp jka-compr pdf-cache pdf-info tq pdf-util
advice format-spec image-mode paren windmove edmacro kmacro ivy delsel
ivy-overlay ffap thingatpt url-parse auth-source eieio eieio-core
gnus-util time-date mm-util help-fns mail-prsvr password-cache url-vars
use-package-bind-key bind-key cl-seq use-package-core subr-x
material-theme finder-inf tex-site cl-macs rx info package epg-config
seq byte-opt bytecomp byte-compile cl-extra help-mode cconv w3m-load
sclang sclang-widgets tree-widget wid-edit sclang-server sclang-help
sclang-vars sclang-help-minor-mode sclang-minor-mode easy-mmode
sclang-mode easymenu sclang-dev sclang-document sclang-language ring
sclang-interp sclang-browser view sclang-util cl gv cl-loaddefs pcase
cl-lib mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel x-win term/common-win x-dnd tool-bar dnd fontset
image regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cl-generic cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind inotify dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 931849 79138)
 (symbols 48 76554 3)
 (miscs 40 11435 5506)
 (strings 32 212881 20890)
 (string-bytes 1 7006230)
 (vectors 16 106994)
 (vector-slots 8 1625219 38570)
 (floats 8 1656 690)
 (intervals 56 5452 171)
 (buffers 976 53))




Acknowledgement sent to Jamie Forth <j.forth@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#31739; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 19 Oct 2019 08:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.